// onchip_memory2.v

// Generated using ACDS version 21.2 72

`timescale 1 ps / 1 ps
module onchip_memory2 (
		input  wire         clk,         //   clk1.clk
		input  wire [12:0]  address,     //     s1.address
		input  wire         clken,       //       .clken
		input  wire         chipselect,  //       .chipselect
		input  wire         write,       //       .write
		output wire [511:0] readdata,    //       .readdata
		input  wire [511:0] writedata,   //       .writedata
		input  wire [63:0]  byteenable,  //       .byteenable
		input  wire         reset,       // reset1.reset
		input  wire         reset_req,   //       .reset_req
		input  wire [12:0]  address2,    //     s2.address
		input  wire         chipselect2, //       .chipselect
		input  wire         clken2,      //       .clken
		input  wire         write2,      //       .write
		output wire [511:0] readdata2,   //       .readdata
		input  wire [511:0] writedata2,  //       .writedata
		input  wire [63:0]  byteenable2  //       .byteenable
	);

	onchip_memory2_altera_avalon_onchip_memory2_1930_mcgnjqi onchip_memory2 (
		.clk         (clk),         //   input,    width = 1,   clk1.clk
		.address     (address),     //   input,   width = 13,     s1.address
		.clken       (clken),       //   input,    width = 1,       .clken
		.chipselect  (chipselect),  //   input,    width = 1,       .chipselect
		.write       (write),       //   input,    width = 1,       .write
		.readdata    (readdata),    //  output,  width = 512,       .readdata
		.writedata   (writedata),   //   input,  width = 512,       .writedata
		.byteenable  (byteenable),  //   input,   width = 64,       .byteenable
		.reset       (reset),       //   input,    width = 1, reset1.reset
		.reset_req   (reset_req),   //   input,    width = 1,       .reset_req
		.address2    (address2),    //   input,   width = 13,     s2.address
		.chipselect2 (chipselect2), //   input,    width = 1,       .chipselect
		.clken2      (clken2),      //   input,    width = 1,       .clken
		.write2      (write2),      //   input,    width = 1,       .write
		.readdata2   (readdata2),   //  output,  width = 512,       .readdata
		.writedata2  (writedata2),  //   input,  width = 512,       .writedata
		.byteenable2 (byteenable2), //   input,   width = 64,       .byteenable
		.freeze      (1'b0)         // (terminated),                      
	);

endmodule
