// pcie_ed_dut.v

// Generated using ACDS version 21.2 72

`timescale 1 ps / 1 ps
module pcie_ed_dut (
		input  wire         p0_pld_warm_rst_rdy_i,   //   p0_pld_warm_rst_rdy.pld_warm_rst_rdy,  Handshake signal to pld_link_req_rst_o. User asserts pld_warm_rst_rdy_i when application layer is ready for reset. This signal should remain asserted until pld_link_req_rst_o  deasserted or reset_status_n_o asserted.
		output wire         p0_pld_link_req_rst_o,   //     p0_link_req_rst_n.link_req_rst_n,    Asserts when there is a pending hot reset or warm reset request from PCIe Controller. User is expected to perform necessary action in preparation for the reset. User asserts pld_warm_rst_rdy_i in response to pld_link_req_rst_o to allow PCIe Controller to be reset.
		input  wire [2:0]   p0_msi_pnd_func_i,       //                p0_msi.msi_pnd_func,      Check User Guide for details
		input  wire [7:0]   p0_msi_pnd_byte_i,       //                      .msi_pnd_byte,      Check User Guide for details
		input  wire [1:0]   p0_msi_pnd_addr_i,       //                      .msi_pnd_addr,      Check User Guide for details
		input  wire         rx_n_in0,                //            hip_serial.rx_n_in0,          Check User Guide for details
		input  wire         rx_n_in1,                //                      .rx_n_in1,          Check User Guide for details
		input  wire         rx_n_in2,                //                      .rx_n_in2,          Check User Guide for details
		input  wire         rx_n_in3,                //                      .rx_n_in3,          Check User Guide for details
		input  wire         rx_n_in4,                //                      .rx_n_in4,          Check User Guide for details
		input  wire         rx_n_in5,                //                      .rx_n_in5,          Check User Guide for details
		input  wire         rx_n_in6,                //                      .rx_n_in6,          Check User Guide for details
		input  wire         rx_n_in7,                //                      .rx_n_in7,          Check User Guide for details
		input  wire         rx_n_in8,                //                      .rx_n_in8,          Check User Guide for details
		input  wire         rx_n_in9,                //                      .rx_n_in9,          Check User Guide for details
		input  wire         rx_n_in10,               //                      .rx_n_in10,         Check User Guide for details
		input  wire         rx_n_in11,               //                      .rx_n_in11,         Check User Guide for details
		input  wire         rx_n_in12,               //                      .rx_n_in12,         Check User Guide for details
		input  wire         rx_n_in13,               //                      .rx_n_in13,         Check User Guide for details
		input  wire         rx_n_in14,               //                      .rx_n_in14,         Check User Guide for details
		input  wire         rx_n_in15,               //                      .rx_n_in15,         Check User Guide for details
		input  wire         rx_p_in0,                //                      .rx_p_in0,          Check User Guide for details
		input  wire         rx_p_in1,                //                      .rx_p_in1,          Check User Guide for details
		input  wire         rx_p_in2,                //                      .rx_p_in2,          Check User Guide for details
		input  wire         rx_p_in3,                //                      .rx_p_in3,          Check User Guide for details
		input  wire         rx_p_in4,                //                      .rx_p_in4,          Check User Guide for details
		input  wire         rx_p_in5,                //                      .rx_p_in5,          Check User Guide for details
		input  wire         rx_p_in6,                //                      .rx_p_in6,          Check User Guide for details
		input  wire         rx_p_in7,                //                      .rx_p_in7,          Check User Guide for details
		input  wire         rx_p_in8,                //                      .rx_p_in8,          Check User Guide for details
		input  wire         rx_p_in9,                //                      .rx_p_in9,          Check User Guide for details
		input  wire         rx_p_in10,               //                      .rx_p_in10,         Check User Guide for details
		input  wire         rx_p_in11,               //                      .rx_p_in11,         Check User Guide for details
		input  wire         rx_p_in12,               //                      .rx_p_in12,         Check User Guide for details
		input  wire         rx_p_in13,               //                      .rx_p_in13,         Check User Guide for details
		input  wire         rx_p_in14,               //                      .rx_p_in14,         Check User Guide for details
		input  wire         rx_p_in15,               //                      .rx_p_in15,         Check User Guide for details
		output wire         tx_n_out0,               //                      .tx_n_out0,         Check User Guide for details
		output wire         tx_n_out1,               //                      .tx_n_out1,         Check User Guide for details
		output wire         tx_n_out2,               //                      .tx_n_out2,         Check User Guide for details
		output wire         tx_n_out3,               //                      .tx_n_out3,         Check User Guide for details
		output wire         tx_n_out4,               //                      .tx_n_out4,         Check User Guide for details
		output wire         tx_n_out5,               //                      .tx_n_out5,         Check User Guide for details
		output wire         tx_n_out6,               //                      .tx_n_out6,         Check User Guide for details
		output wire         tx_n_out7,               //                      .tx_n_out7,         Check User Guide for details
		output wire         tx_n_out8,               //                      .tx_n_out8,         Check User Guide for details
		output wire         tx_n_out9,               //                      .tx_n_out9,         Check User Guide for details
		output wire         tx_n_out10,              //                      .tx_n_out10,        Check User Guide for details
		output wire         tx_n_out11,              //                      .tx_n_out11,        Check User Guide for details
		output wire         tx_n_out12,              //                      .tx_n_out12,        Check User Guide for details
		output wire         tx_n_out13,              //                      .tx_n_out13,        Check User Guide for details
		output wire         tx_n_out14,              //                      .tx_n_out14,        Check User Guide for details
		output wire         tx_n_out15,              //                      .tx_n_out15,        Check User Guide for details
		output wire         tx_p_out0,               //                      .tx_p_out0,         Check User Guide for details
		output wire         tx_p_out1,               //                      .tx_p_out1,         Check User Guide for details
		output wire         tx_p_out2,               //                      .tx_p_out2,         Check User Guide for details
		output wire         tx_p_out3,               //                      .tx_p_out3,         Check User Guide for details
		output wire         tx_p_out4,               //                      .tx_p_out4,         Check User Guide for details
		output wire         tx_p_out5,               //                      .tx_p_out5,         Check User Guide for details
		output wire         tx_p_out6,               //                      .tx_p_out6,         Check User Guide for details
		output wire         tx_p_out7,               //                      .tx_p_out7,         Check User Guide for details
		output wire         tx_p_out8,               //                      .tx_p_out8,         Check User Guide for details
		output wire         tx_p_out9,               //                      .tx_p_out9,         Check User Guide for details
		output wire         tx_p_out10,              //                      .tx_p_out10,        Check User Guide for details
		output wire         tx_p_out11,              //                      .tx_p_out11,        Check User Guide for details
		output wire         tx_p_out12,              //                      .tx_p_out12,        Check User Guide for details
		output wire         tx_p_out13,              //                      .tx_p_out13,        Check User Guide for details
		output wire         tx_p_out14,              //                      .tx_p_out14,        Check User Guide for details
		output wire         tx_p_out15,              //                      .tx_p_out15,        Check User Guide for details
		output wire         coreclkout_hip,          //        coreclkout_hip.clk,               Check User Guide for details
		input  wire         refclk0,                 //               refclk0.clk,               Check User Guide for details
		input  wire         refclk1,                 //               refclk1.clk,               Check User Guide for details
		input  wire         pin_perst_n,             //             pin_perst.pin_perst,         Check User Guide for details
		input  wire         ninit_done,              //            ninit_done.ninit_done,        Its a Init_done signal should be connected to Reset release IP
		output wire         p0_app_clk,              //            p0_app_clk.clk,               Check User Guide for details
		output wire         p0_reset_status_n,       // p0_app_reset_status_n.reset_n,           Check User Guide for details
		output wire [2:0]   p0_tl_cfg_func_o,        //        p0_config_tl_o.tl_cfg_func,       Check User Guide for details
		output wire [4:0]   p0_tl_cfg_add_o,         //                      .tl_cfg_add,        Check User Guide for details
		output wire [15:0]  p0_tl_cfg_ctl_o,         //                      .tl_cfg_ctl,        Check User Guide for details
		output wire [1:0]   p0_wrdm_pfnum_o,         //       p0_wrdm_conduit.pfnum,             Check User Guide for details
		input  wire         p0_wrdm_waitrequest_i,   //        p0_wrdm_master.waitrequest,       Check User Guide for details
		output wire         p0_wrdm_read_o,          //                      .read,              Check User Guide for details
		output wire [63:0]  p0_wrdm_address_o,       //                      .address,           Check User Guide for details
		output wire [3:0]   p0_wrdm_burstcount_o,    //                      .burstcount,        Check User Guide for details
		output wire [63:0]  p0_wrdm_byteenable_o,    //                      .byteenable,        Check User Guide for details
		input  wire         p0_wrdm_readdatavalid_i, //                      .readdatavalid,     Check User Guide for details
		input  wire [511:0] p0_wrdm_readdata_i,      //                      .readdata,          Check User Guide for details
		input  wire [1:0]   p0_wrdm_response_i,      //                      .response,          Check User Guide for details
		output wire         p0_wrdm_desc_ready_o,    //          p0_wrdm_desc.ready,             Check User Guide for details
		input  wire         p0_wrdm_desc_valid_i,    //                      .valid,             Check User Guide for details
		input  wire [173:0] p0_wrdm_desc_data_i,     //                      .data,              Check User Guide for details
		output wire         p0_wrdm_prio_ready_o,    //          p0_wrdm_prio.ready,             Check User Guide for details
		input  wire         p0_wrdm_prio_valid_i,    //                      .valid,             Check User Guide for details
		input  wire [173:0] p0_wrdm_prio_data_i,     //                      .data,              Check User Guide for details
		output wire         p0_wrdm_tx_valid_o,      //            p0_wrdm_tx.valid,             Check User Guide for details
		output wire [31:0]  p0_wrdm_tx_data_o,       //                      .data,              Check User Guide for details
		output wire [1:0]   p0_rddm_pfnum_o,         //       p0_rddm_conduit.pfnum,             Check User Guide for details
		input  wire         p0_rddm_waitrequest_i,   //        p0_rddm_master.waitrequest,       Check User Guide for details
		output wire         p0_rddm_write_o,         //                      .write,             Check User Guide for details
		output wire [63:0]  p0_rddm_address_o,       //                      .address,           Check User Guide for details
		output wire [3:0]   p0_rddm_burstcount_o,    //                      .burstcount,        Check User Guide for details
		output wire [63:0]  p0_rddm_byteenable_o,    //                      .byteenable,        Check User Guide for details
		output wire [511:0] p0_rddm_writedata_o,     //                      .writedata,         Check User Guide for details
		output wire         p0_rddm_desc_ready_o,    //          p0_rddm_desc.ready,             Check User Guide for details
		input  wire         p0_rddm_desc_valid_i,    //                      .valid,             Check User Guide for details
		input  wire [173:0] p0_rddm_desc_data_i,     //                      .data,              Check User Guide for details
		output wire         p0_rddm_prio_ready_o,    //          p0_rddm_prio.ready,             Check User Guide for details
		input  wire         p0_rddm_prio_valid_i,    //                      .valid,             Check User Guide for details
		input  wire [173:0] p0_rddm_prio_data_i,     //                      .data,              Check User Guide for details
		output wire         p0_rddm_tx_valid_o,      //            p0_rddm_tx.valid,             Check User Guide for details
		output wire [31:0]  p0_rddm_tx_data_o,       //                      .data,              Check User Guide for details
		output wire [1:0]   p0_bam_pfnum_o,          //        p0_bam_conduit.pfnum,             Check User Guide for details
		output wire [2:0]   p0_bam_bar_o,            //                      .barnum,            Check User Guide for details
		input  wire         p0_bam_waitrequest_i,    //         p0_bam_master.waitrequest,       Check User Guide for details
		output wire [63:0]  p0_bam_address_o,        //                      .address,           Check User Guide for details
		output wire [63:0]  p0_bam_byteenable_o,     //                      .byteenable,        Check User Guide for details
		output wire         p0_bam_read_o,           //                      .read,              Check User Guide for details
		input  wire [511:0] p0_bam_readdata_i,       //                      .readdata,          Check User Guide for details
		input  wire         p0_bam_readdatavalid_i,  //                      .readdatavalid,     Check User Guide for details
		output wire         p0_bam_write_o,          //                      .write,             Check User Guide for details
		output wire [511:0] p0_bam_writedata_o,      //                      .writedata,         Check User Guide for details
		output wire [3:0]   p0_bam_burstcount_o,     //                      .burstcount,        Check User Guide for details
		input  wire [1:0]   p0_bam_response_i,       //                      .response,          Check User Guide for details
		output wire [1:0]   p0_bus_master_enable_o   //     p0_bus_master_ena.bus_master_enable, Check User Guide for details
	);

	pcie_ed_dut_intel_pcie_ptile_avmm_400_bycyxui #(
		.device_family                                                ("Agilex"),
		.xcvr_reconfig_hwtcl                                          (0),
		.ptile_debug_toolkit_hwtcl                                    (0),
		.ptile_enable_pciess_register_access_hwtcl                    (0),
		.ptile_link_insp_en_hwtcl                                     (1),
		.ptile_link_insp_avmm_en_hwtcl                                (0),
		.pld_clrpcs_hwtcl                                             (0),
		.core16_enable_ecc_hwtcl                                      (0),
		.core16_enable_hotplug_hwtcl                                  (0),
		.hssi_ctp_u_wrpcie_top_u_core16_topology                      ("pcie_x16"),
		.core16_enable_rx_buffer_limit_ports_hwtcl                    (0),
		.core16_hip_reconfig_hwtcl                                    (0),
		.core16_enable_legacy_interrupt_hwtcl                         (0),
		.core8_enable_rx_buffer_limit_ports_hwtcl                     (0),
		.core8_enable_ecc_hwtcl                                       (0),
		.core8_enable_hotplug_hwtcl                                   (0),
		.hssi_ctp_u_wrpcie_top_u_core8_topology                       ("3"),
		.core8_refclk_init_active_hwtcl                               (1),
		.core8_hip_reconfig_hwtcl                                     (0),
		.core8_enable_legacy_interrupt_hwtcl                          (0),
		.core4_0_enable_rx_buffer_limit_ports_hwtcl                   (0),
		.core4_0_enable_ecc_hwtcl                                     (0),
		.core4_0_enable_hotplug_hwtcl                                 (0),
		.hssi_ctp_u_wrpcie_top_u_core4_0_topology                     ("3"),
		.core4_0_hip_reconfig_hwtcl                                   (0),
		.core4_0_enable_legacy_interrupt_hwtcl                        (0),
		.core4_1_enable_rx_buffer_limit_ports_hwtcl                   (0),
		.core4_1_enable_ecc_hwtcl                                     (0),
		.core4_1_enable_hotplug_hwtcl                                 (0),
		.hssi_ctp_u_wrpcie_top_u_core4_1_topology                     ("3"),
		.core4_1_hip_reconfig_hwtcl                                   (0),
		.core4_1_enable_legacy_interrupt_hwtcl                        (0),
		.core16_pf0_bar0_address_width_hwtcl                          (16),
		.core16_pf0_bar1_address_width_hwtcl                          (0),
		.core16_pf0_bar2_address_width_hwtcl                          (16),
		.core16_pf0_bar3_address_width_hwtcl                          (0),
		.core16_pf0_bar4_address_width_hwtcl                          (24),
		.core16_pf0_bar5_address_width_hwtcl                          (0),
		.core16_pf0_expansion_base_address_register_hwtcl             (0),
		.core16_pf0_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf0_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf0_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf0_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf0_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf0_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf1_bar0_address_width_hwtcl                          (0),
		.core16_pf1_bar1_address_width_hwtcl                          (0),
		.core16_pf1_bar2_address_width_hwtcl                          (0),
		.core16_pf1_bar3_address_width_hwtcl                          (0),
		.core16_pf1_bar4_address_width_hwtcl                          (0),
		.core16_pf1_bar5_address_width_hwtcl                          (0),
		.core16_pf1_expansion_base_address_register_hwtcl             (0),
		.core16_pf1_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf1_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf1_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf1_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf1_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf1_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf2_bar0_address_width_hwtcl                          (0),
		.core16_pf2_bar1_address_width_hwtcl                          (0),
		.core16_pf2_bar2_address_width_hwtcl                          (0),
		.core16_pf2_bar3_address_width_hwtcl                          (0),
		.core16_pf2_bar4_address_width_hwtcl                          (0),
		.core16_pf2_bar5_address_width_hwtcl                          (0),
		.core16_pf2_expansion_base_address_register_hwtcl             (0),
		.core16_pf2_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf2_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf2_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf2_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf2_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf2_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf3_bar0_address_width_hwtcl                          (0),
		.core16_pf3_bar1_address_width_hwtcl                          (0),
		.core16_pf3_bar2_address_width_hwtcl                          (0),
		.core16_pf3_bar3_address_width_hwtcl                          (0),
		.core16_pf3_bar4_address_width_hwtcl                          (0),
		.core16_pf3_bar5_address_width_hwtcl                          (0),
		.core16_pf3_expansion_base_address_register_hwtcl             (0),
		.core16_pf3_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf3_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf3_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf3_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf3_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf3_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf4_bar0_address_width_hwtcl                          (0),
		.core16_pf4_bar1_address_width_hwtcl                          (0),
		.core16_pf4_bar2_address_width_hwtcl                          (0),
		.core16_pf4_bar3_address_width_hwtcl                          (0),
		.core16_pf4_bar4_address_width_hwtcl                          (0),
		.core16_pf4_bar5_address_width_hwtcl                          (0),
		.core16_pf4_expansion_base_address_register_hwtcl             (0),
		.core16_pf4_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf4_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf4_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf4_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf4_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf4_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf5_bar0_address_width_hwtcl                          (0),
		.core16_pf5_bar1_address_width_hwtcl                          (0),
		.core16_pf5_bar2_address_width_hwtcl                          (0),
		.core16_pf5_bar3_address_width_hwtcl                          (0),
		.core16_pf5_bar4_address_width_hwtcl                          (0),
		.core16_pf5_bar5_address_width_hwtcl                          (0),
		.core16_pf5_expansion_base_address_register_hwtcl             (0),
		.core16_pf5_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf5_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf5_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf5_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf5_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf5_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf6_bar0_address_width_hwtcl                          (0),
		.core16_pf6_bar1_address_width_hwtcl                          (0),
		.core16_pf6_bar2_address_width_hwtcl                          (0),
		.core16_pf6_bar3_address_width_hwtcl                          (0),
		.core16_pf6_bar4_address_width_hwtcl                          (0),
		.core16_pf6_bar5_address_width_hwtcl                          (0),
		.core16_pf6_expansion_base_address_register_hwtcl             (0),
		.core16_pf6_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf6_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf6_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf6_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf6_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf6_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_pf7_bar0_address_width_hwtcl                          (0),
		.core16_pf7_bar1_address_width_hwtcl                          (0),
		.core16_pf7_bar2_address_width_hwtcl                          (0),
		.core16_pf7_bar3_address_width_hwtcl                          (0),
		.core16_pf7_bar4_address_width_hwtcl                          (0),
		.core16_pf7_bar5_address_width_hwtcl                          (0),
		.core16_pf7_expansion_base_address_register_hwtcl             (0),
		.core16_pf7_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core16_pf7_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core16_pf7_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core16_pf7_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core16_pf7_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core16_pf7_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core16_total_pf_count_hwtcl                                  (1),
		.core16_total_pf_count_width_hwtcl                            (1),
		.core16_enable_sriov_hwtcl                                    (0),
		.core16_pf0_vf_count_hwtcl                                    (0),
		.core16_pf1_vf_count_hwtcl                                    (0),
		.core16_pf2_vf_count_hwtcl                                    (0),
		.core16_pf3_vf_count_hwtcl                                    (0),
		.core16_pf4_vf_count_hwtcl                                    (0),
		.core16_pf5_vf_count_hwtcl                                    (0),
		.core16_pf6_vf_count_hwtcl                                    (0),
		.core16_pf7_vf_count_hwtcl                                    (0),
		.core16_total_vf_count_hwtcl                                  (0),
		.core16_total_vf_count_width_hwtcl                            (1),
		.core16_enable_virtio_hwtcl                                   (0),
		.core16_virtio_start_byte_address_hwtcl                       (72),
		.core16_pf0_virtio_capability_present_hwtcl                   (0),
		.core16_pf0_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf0_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf0_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf0_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf0_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf0_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf0_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf0_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf0_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf0_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf0_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf0_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf0_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf0_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf0_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf1_virtio_capability_present_hwtcl                   (0),
		.core16_pf1_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf1_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf1_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf1_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf1_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf1_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf1_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf1_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf1_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf1_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf1_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf1_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf1_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf1_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf1_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf2_virtio_capability_present_hwtcl                   (0),
		.core16_pf2_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf2_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf2_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf2_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf2_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf2_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf2_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf2_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf2_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf2_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf2_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf2_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf2_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf2_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf2_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf3_virtio_capability_present_hwtcl                   (0),
		.core16_pf3_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf3_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf3_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf3_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf3_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf3_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf3_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf3_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf3_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf3_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf3_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf3_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf3_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf3_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf3_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf4_virtio_capability_present_hwtcl                   (0),
		.core16_pf4_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf4_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf4_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf4_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf4_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf4_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf4_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf4_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf4_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf4_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf4_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf4_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf4_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf4_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf4_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf5_virtio_capability_present_hwtcl                   (0),
		.core16_pf5_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf5_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf5_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf5_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf5_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf5_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf5_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf5_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf5_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf5_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf5_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf5_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf5_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf5_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf5_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf6_virtio_capability_present_hwtcl                   (0),
		.core16_pf6_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf6_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf6_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf6_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf6_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf6_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf6_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf6_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf6_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf6_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf6_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf6_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf6_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf6_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf6_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf7_virtio_capability_present_hwtcl                   (0),
		.core16_pf7_virtio_device_specific_cap_present_hwtcl          (0),
		.core16_pf7_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core16_pf7_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core16_pf7_virtio_cmn_config_structure_length_hwtcl          (0),
		.core16_pf7_virtio_notification_bar_indicator_hwtcl           (0),
		.core16_pf7_virtio_notification_bar_offset_hwtcl              (0),
		.core16_pf7_virtio_notification_structure_length_hwtcl        (0),
		.core16_pf7_virtio_notify_off_multiplier_hwtcl                (0),
		.core16_pf7_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core16_pf7_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core16_pf7_virtio_isrstatus_structure_length_hwtcl           (0),
		.core16_pf7_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core16_pf7_virtio_devspecific_bar_offset_hwtcl               (0),
		.core16_pf7_virtio_devspecific_structure_length_hwtcl         (0),
		.core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core16_pf7_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core16_pf0vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf0vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf0vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf0vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf0vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf0vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf0vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf0vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf0vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf0vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf1vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf1vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf1vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf1vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf1vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf1vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf1vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf1vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf1vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf1vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf2vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf2vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf2vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf2vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf2vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf2vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf2vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf2vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf2vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf2vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf3vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf3vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf3vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf3vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf3vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf3vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf3vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf3vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf3vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf3vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf4vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf4vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf4vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf4vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf4vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf4vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf4vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf4vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf4vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf4vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf5vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf5vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf5vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf5vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf5vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf5vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf5vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf5vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf5vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf5vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf6vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf6vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf6vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf6vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf6vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf6vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf6vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf6vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf6vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf6vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_pf7vf_virtio_capability_present_hwtcl                 (0),
		.core16_pf7vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core16_pf7vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core16_pf7vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core16_pf7vf_virtio_notification_bar_offset_hwtcl            (0),
		.core16_pf7vf_virtio_notification_structure_length_hwtcl      (0),
		.core16_pf7vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core16_pf7vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core16_pf7vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core16_pf7vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf0_bar0_address_width_hwtcl                           (16),
		.core8_pf0_bar1_address_width_hwtcl                           (0),
		.core8_pf0_bar2_address_width_hwtcl                           (0),
		.core8_pf0_bar3_address_width_hwtcl                           (0),
		.core8_pf0_bar4_address_width_hwtcl                           (0),
		.core8_pf0_bar5_address_width_hwtcl                           (0),
		.core8_pf0_expansion_base_address_register_hwtcl              (0),
		.core8_pf0_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf0_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf0_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf0_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf0_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf0_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf1_bar0_address_width_hwtcl                           (0),
		.core8_pf1_bar1_address_width_hwtcl                           (0),
		.core8_pf1_bar2_address_width_hwtcl                           (0),
		.core8_pf1_bar3_address_width_hwtcl                           (0),
		.core8_pf1_bar4_address_width_hwtcl                           (0),
		.core8_pf1_bar5_address_width_hwtcl                           (0),
		.core8_pf1_expansion_base_address_register_hwtcl              (0),
		.core8_pf1_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf1_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf1_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf1_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf1_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf1_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf2_bar0_address_width_hwtcl                           (0),
		.core8_pf2_bar1_address_width_hwtcl                           (0),
		.core8_pf2_bar2_address_width_hwtcl                           (0),
		.core8_pf2_bar3_address_width_hwtcl                           (0),
		.core8_pf2_bar4_address_width_hwtcl                           (0),
		.core8_pf2_bar5_address_width_hwtcl                           (0),
		.core8_pf2_expansion_base_address_register_hwtcl              (0),
		.core8_pf2_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf2_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf2_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf2_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf2_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf2_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf3_bar0_address_width_hwtcl                           (0),
		.core8_pf3_bar1_address_width_hwtcl                           (0),
		.core8_pf3_bar2_address_width_hwtcl                           (0),
		.core8_pf3_bar3_address_width_hwtcl                           (0),
		.core8_pf3_bar4_address_width_hwtcl                           (0),
		.core8_pf3_bar5_address_width_hwtcl                           (0),
		.core8_pf3_expansion_base_address_register_hwtcl              (0),
		.core8_pf3_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf3_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf3_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf3_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf3_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf3_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf4_bar0_address_width_hwtcl                           (16),
		.core8_pf4_bar1_address_width_hwtcl                           (0),
		.core8_pf4_bar2_address_width_hwtcl                           (0),
		.core8_pf4_bar3_address_width_hwtcl                           (0),
		.core8_pf4_bar4_address_width_hwtcl                           (0),
		.core8_pf4_bar5_address_width_hwtcl                           (0),
		.core8_pf4_expansion_base_address_register_hwtcl              (0),
		.core8_pf4_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf4_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf4_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf4_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf4_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf4_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf5_bar0_address_width_hwtcl                           (16),
		.core8_pf5_bar1_address_width_hwtcl                           (0),
		.core8_pf5_bar2_address_width_hwtcl                           (0),
		.core8_pf5_bar3_address_width_hwtcl                           (0),
		.core8_pf5_bar4_address_width_hwtcl                           (0),
		.core8_pf5_bar5_address_width_hwtcl                           (0),
		.core8_pf5_expansion_base_address_register_hwtcl              (0),
		.core8_pf5_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf5_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf5_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf5_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf5_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf5_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf6_bar0_address_width_hwtcl                           (16),
		.core8_pf6_bar1_address_width_hwtcl                           (0),
		.core8_pf6_bar2_address_width_hwtcl                           (0),
		.core8_pf6_bar3_address_width_hwtcl                           (0),
		.core8_pf6_bar4_address_width_hwtcl                           (0),
		.core8_pf6_bar5_address_width_hwtcl                           (0),
		.core8_pf6_expansion_base_address_register_hwtcl              (0),
		.core8_pf6_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf6_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf6_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf6_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf6_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf6_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_pf7_bar0_address_width_hwtcl                           (16),
		.core8_pf7_bar1_address_width_hwtcl                           (0),
		.core8_pf7_bar2_address_width_hwtcl                           (0),
		.core8_pf7_bar3_address_width_hwtcl                           (0),
		.core8_pf7_bar4_address_width_hwtcl                           (0),
		.core8_pf7_bar5_address_width_hwtcl                           (0),
		.core8_pf7_expansion_base_address_register_hwtcl              (0),
		.core8_pf7_sriov_vf_bar0_address_width_int_hwtcl              (0),
		.core8_pf7_sriov_vf_bar1_address_width_int_hwtcl              (0),
		.core8_pf7_sriov_vf_bar2_address_width_int_hwtcl              (0),
		.core8_pf7_sriov_vf_bar3_address_width_int_hwtcl              (0),
		.core8_pf7_sriov_vf_bar4_address_width_int_hwtcl              (0),
		.core8_pf7_sriov_vf_bar5_address_width_int_hwtcl              (0),
		.core8_total_pf_count_hwtcl                                   (1),
		.core8_total_pf_count_width_hwtcl                             (1),
		.core8_enable_sriov_hwtcl                                     (0),
		.core8_pf0_vf_count_hwtcl                                     (0),
		.core8_pf1_vf_count_hwtcl                                     (0),
		.core8_pf2_vf_count_hwtcl                                     (0),
		.core8_pf3_vf_count_hwtcl                                     (0),
		.core8_pf4_vf_count_hwtcl                                     (0),
		.core8_pf5_vf_count_hwtcl                                     (0),
		.core8_pf6_vf_count_hwtcl                                     (0),
		.core8_pf7_vf_count_hwtcl                                     (0),
		.core8_total_vf_count_hwtcl                                   (0),
		.core8_total_vf_count_width_hwtcl                             (0),
		.core8_enable_virtio_hwtcl                                    (0),
		.core8_virtio_start_byte_address_hwtcl                        (72),
		.core8_pf0_virtio_capability_present_hwtcl                    (0),
		.core8_pf0_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf0_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf0_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf0_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf0_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf0_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf0_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf0_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf0_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf0_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf0_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf0_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf0_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf0_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf0_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf1_virtio_capability_present_hwtcl                    (0),
		.core8_pf1_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf1_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf1_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf1_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf1_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf1_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf1_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf1_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf1_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf1_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf1_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf1_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf1_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf1_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf1_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf2_virtio_capability_present_hwtcl                    (0),
		.core8_pf2_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf2_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf2_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf2_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf2_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf2_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf2_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf2_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf2_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf2_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf2_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf2_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf2_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf2_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf2_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf3_virtio_capability_present_hwtcl                    (0),
		.core8_pf3_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf3_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf3_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf3_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf3_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf3_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf3_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf3_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf3_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf3_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf3_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf3_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf3_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf3_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf3_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf4_virtio_capability_present_hwtcl                    (0),
		.core8_pf4_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf4_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf4_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf4_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf4_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf4_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf4_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf4_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf4_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf4_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf4_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf4_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf4_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf4_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf4_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf5_virtio_capability_present_hwtcl                    (0),
		.core8_pf5_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf5_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf5_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf5_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf5_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf5_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf5_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf5_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf5_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf5_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf5_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf5_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf5_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf5_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf5_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf6_virtio_capability_present_hwtcl                    (0),
		.core8_pf6_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf6_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf6_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf6_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf6_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf6_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf6_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf6_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf6_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf6_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf6_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf6_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf6_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf6_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf6_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf7_virtio_capability_present_hwtcl                    (0),
		.core8_pf7_virtio_device_specific_cap_present_hwtcl           (0),
		.core8_pf7_virtio_cmn_config_bar_indicator_hwtcl              (0),
		.core8_pf7_virtio_cmn_config_bar_offset_hwtcl                 (0),
		.core8_pf7_virtio_cmn_config_structure_length_hwtcl           (0),
		.core8_pf7_virtio_notification_bar_indicator_hwtcl            (0),
		.core8_pf7_virtio_notification_bar_offset_hwtcl               (0),
		.core8_pf7_virtio_notification_structure_length_hwtcl         (0),
		.core8_pf7_virtio_notify_off_multiplier_hwtcl                 (0),
		.core8_pf7_virtio_isrstatus_bar_indicator_hwtcl               (0),
		.core8_pf7_virtio_isrstatus_bar_offset_hwtcl                  (0),
		.core8_pf7_virtio_isrstatus_structure_length_hwtcl            (0),
		.core8_pf7_virtio_devspecific_bar_indicator_hwtcl             (0),
		.core8_pf7_virtio_devspecific_bar_offset_hwtcl                (0),
		.core8_pf7_virtio_devspecific_structure_length_hwtcl          (0),
		.core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl        (0),
		.core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl           (0),
		.core8_pf7_virtio_pciconfig_access_structure_length_hwtcl     (0),
		.core8_pf0vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf0vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf0vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf0vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf0vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf0vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf0vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf0vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf0vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf0vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf1vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf1vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf1vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf1vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf1vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf1vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf1vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf1vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf1vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf1vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf2vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf2vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf2vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf2vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf2vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf2vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf2vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf2vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf2vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf2vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf3vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf3vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf3vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf3vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf3vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf3vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf3vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf3vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf3vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf3vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf4vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf4vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf4vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf4vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf4vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf4vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf4vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf4vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf4vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf4vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf5vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf5vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf5vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf5vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf5vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf5vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf5vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf5vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf5vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf5vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf6vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf6vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf6vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf6vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf6vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf6vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf6vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf6vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf6vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf6vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core8_pf7vf_virtio_capability_present_hwtcl                  (0),
		.core8_pf7vf_virtio_device_specific_cap_present_hwtcl         (0),
		.core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core8_pf7vf_virtio_cmn_config_structure_length_hwtcl         (0),
		.core8_pf7vf_virtio_notification_bar_indicator_hwtcl          (0),
		.core8_pf7vf_virtio_notification_bar_offset_hwtcl             (0),
		.core8_pf7vf_virtio_notification_structure_length_hwtcl       (0),
		.core8_pf7vf_virtio_notify_off_multiplier_hwtcl               (0),
		.core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core8_pf7vf_virtio_isrstatus_structure_length_hwtcl          (0),
		.core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core8_pf7vf_virtio_devspecific_bar_offset_hwtcl              (0),
		.core8_pf7vf_virtio_devspecific_structure_length_hwtcl        (0),
		.core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_payload_width_integer_hwtcl                           (512),
		.core16_hdr_width_integer_hwtcl                               (256),
		.core16_pfx_width_integer_hwtcl                               (64),
		.core16_double_width_integer_hwtcl                            (2),
		.core16_empty_width_integer_hwtcl                             (6),
		.core16_en_512s_to_256s_adp_hwtcl                             (0),
		.core16_en_256s_to_64s_adp_hwtcl                              (0),
		.core16_en_256s_to_128s_adp_hwtcl                             (0),
		.core16_en_256s_to_512s_adp_hwtcl                             (0),
		.core16_en_128s_to_64s_adp_hwtcl                              (0),
		.core16_en_128s_to_256e_adp_hwtcl                             (0),
		.core16_en_128s_to_256s_adp_hwtcl                             (0),
		.core8_payload_width_integer_hwtcl                            (256),
		.core8_hdr_width_integer_hwtcl                                (128),
		.core8_double_width_integer_hwtcl                             (1),
		.core8_pfx_width_integer_hwtcl                                (32),
		.core8_empty_width_integer_hwtcl                              (2),
		.core8_en_256s_to_64s_adp_hwtcl                               (0),
		.core8_en_256s_to_128s_adp_hwtcl                              (0),
		.core8_en_256s_to_512s_adp_hwtcl                              (0),
		.core8_en_128s_to_64s_adp_hwtcl                               (0),
		.core8_en_128s_to_256e_adp_hwtcl                              (0),
		.core8_en_128s_to_256s_adp_hwtcl                              (0),
		.core4_0_payload_width_integer_hwtcl                          (128),
		.core4_0_hdr_width_integer_hwtcl                              (128),
		.core4_0_double_width_integer_hwtcl                           (1),
		.core4_0_pfx_width_integer_hwtcl                              (32),
		.core4_0_empty_width_integer_hwtcl                            (2),
		.core4_0_en_128s_to_64s_adp_hwtcl                             (0),
		.core4_0_en_128s_to_256e_adp_hwtcl                            (0),
		.core4_0_en_128s_to_256s_adp_hwtcl                            (0),
		.core4_1_payload_width_integer_hwtcl                          (128),
		.core4_1_hdr_width_integer_hwtcl                              (128),
		.core4_1_double_width_integer_hwtcl                           (1),
		.core4_1_pfx_width_integer_hwtcl                              (32),
		.core4_1_empty_width_integer_hwtcl                            (2),
		.core4_1_en_128s_to_64s_adp_hwtcl                             (0),
		.core4_1_en_128s_to_256e_adp_hwtcl                            (0),
		.core4_1_en_128s_to_256s_adp_hwtcl                            (0),
		.core16_enable_external_dma_hwtcl                             (0),
		.core16_enable_cpl_ordering_with_64tag_supp_hwtcl             (1),
		.core16_enable_read_mover_hwtcl                               (1),
		.core16_read_mover_address_width_hwtcl                        (64),
		.core16_enable_write_mover_hwtcl                              (1),
		.core16_write_mover_address_width_hwtcl                       (64),
		.core16_enable_root_port_hwtcl                                (0),
		.core16_enable_advanced_interrupt_hwtcl                       (0),
		.core16_enable_bursting_slave_hwtcl                           (0),
		.core16_bursting_slave_address_width_hwtcl                    (64),
		.core16_enable_bursting_master_hwtcl                          (1),
		.core16_bursting_master_address_width_hwtcl                   (64),
		.core16_pfnum_width_hwtcl                                     (2),
		.core16_vfnum_width_hwtcl                                     (11),
		.core8_enable_external_dma_hwtcl                              (0),
		.core8_enable_cpl_ordering_with_64tag_supp_hwtcl              (1),
		.core8_enable_read_mover_hwtcl                                (1),
		.core8_read_mover_address_width_hwtcl                         (64),
		.core8_enable_write_mover_hwtcl                               (1),
		.core8_write_mover_address_width_hwtcl                        (64),
		.core8_enable_root_port_hwtcl                                 (0),
		.core8_enable_advanced_interrupt_hwtcl                        (0),
		.core8_enable_bursting_slave_hwtcl                            (1),
		.core8_bursting_slave_address_width_hwtcl                     (64),
		.core8_enable_bursting_master_hwtcl                           (1),
		.core8_bursting_master_address_width_hwtcl                    (64),
		.core8_pfnum_width_hwtcl                                      (2),
		.core8_vfnum_width_hwtcl                                      (11),
		.core4_0_enable_external_dma_hwtcl                            (0),
		.core4_0_enable_cpl_ordering_with_64tag_supp_hwtcl            (1),
		.core4_0_enable_read_mover_hwtcl                              (1),
		.core4_0_read_mover_address_width_hwtcl                       (64),
		.core4_0_enable_write_mover_hwtcl                             (1),
		.core4_0_write_mover_address_width_hwtcl                      (64),
		.core4_0_enable_root_port_hwtcl                               (0),
		.core4_0_enable_advanced_interrupt_hwtcl                      (0),
		.core4_0_enable_bursting_slave_hwtcl                          (1),
		.core4_0_bursting_slave_address_width_hwtcl                   (64),
		.core4_0_enable_bursting_master_hwtcl                         (1),
		.core4_0_bursting_master_address_width_hwtcl                  (64),
		.core4_1_enable_external_dma_hwtcl                            (0),
		.core4_1_enable_cpl_ordering_with_64tag_supp_hwtcl            (1),
		.core4_1_enable_read_mover_hwtcl                              (1),
		.core4_1_read_mover_address_width_hwtcl                       (64),
		.core4_1_enable_write_mover_hwtcl                             (1),
		.core4_1_write_mover_address_width_hwtcl                      (64),
		.core4_1_enable_root_port_hwtcl                               (0),
		.core4_1_enable_advanced_interrupt_hwtcl                      (0),
		.core4_1_enable_bursting_slave_hwtcl                          (1),
		.core4_1_bursting_slave_address_width_hwtcl                   (64),
		.core4_1_enable_bursting_master_hwtcl                         (1),
		.core4_1_bursting_master_address_width_hwtcl                  (64),
		.core16_txs_address_width_hwtcl                               (32),
		.core16_txs_data_width_hwtcl                                  (32),
		.core16_hptxs_address_width_hwtcl                             (25),
		.core16_cg_enable_a2p_interrupt_hwtcl                         (0),
		.core16_cg_enable_advanced_interrupt_hwtcl                    (0),
		.core16_dma_enabled_hwtcl                                     (0),
		.core16_dma_instantiate_controller_hwtcl                      (0),
		.core16_avmm_addr_width_hwtcl                                 (64),
		.core16_hptxs_enabled_hwtcl                                   (0),
		.core16_hptxs_enabled_mapping_hwtcl                           (0),
		.core16_hptxs_address_translation_table_address_width_hwtcl   (9),
		.core16_hptxs_address_translation_window_address_width_hwtcl  (16),
		.core16_pf0_bar0_enable_rxm_burst_hwtcl                       (0),
		.core16_pf0_bar1_enable_rxm_burst_hwtcl                       (0),
		.core16_pf0_bar2_enable_rxm_burst_hwtcl                       (0),
		.core16_pf0_bar3_enable_rxm_burst_hwtcl                       (0),
		.core16_pf0_bar4_enable_rxm_burst_hwtcl                       (0),
		.core16_pf0_bar5_enable_rxm_burst_hwtcl                       (0),
		.core8_txs_address_width_hwtcl                                (15),
		.core8_txs_data_width_hwtcl                                   (32),
		.core8_hptxs_address_width_hwtcl                              (25),
		.core8_cg_enable_a2p_interrupt_hwtcl                          (0),
		.core8_cg_enable_advanced_interrupt_hwtcl                     (0),
		.core8_dma_enabled_hwtcl                                      (0),
		.core8_dma_instantiate_controller_hwtcl                       (0),
		.core8_avmm_addr_width_hwtcl                                  (64),
		.core8_hptxs_enabled_hwtcl                                    (0),
		.core8_hptxs_enabled_mapping_hwtcl                            (0),
		.core8_hptxs_address_translation_table_address_width_hwtcl    (9),
		.core8_hptxs_address_translation_window_address_width_hwtcl   (16),
		.core8_pf0_bar0_enable_rxm_burst_hwtcl                        (0),
		.core8_pf0_bar1_enable_rxm_burst_hwtcl                        (0),
		.core8_pf0_bar2_enable_rxm_burst_hwtcl                        (0),
		.core8_pf0_bar3_enable_rxm_burst_hwtcl                        (0),
		.core8_pf0_bar4_enable_rxm_burst_hwtcl                        (0),
		.core8_pf0_bar5_enable_rxm_burst_hwtcl                        (0),
		.core4_0_txs_address_width_hwtcl                              (15),
		.core4_0_txs_data_width_hwtcl                                 (32),
		.core4_0_hptxs_address_width_hwtcl                            (25),
		.core4_0_cg_enable_a2p_interrupt_hwtcl                        (0),
		.core4_0_cg_enable_advanced_interrupt_hwtcl                   (0),
		.core4_0_dma_enabled_hwtcl                                    (0),
		.core4_0_dma_instantiate_controller_hwtcl                     (0),
		.core4_0_avmm_addr_width_hwtcl                                (64),
		.core4_0_hptxs_enabled_hwtcl                                  (0),
		.core4_0_hptxs_enabled_mapping_hwtcl                          (0),
		.core4_0_hptxs_address_translation_table_address_width_hwtcl  (9),
		.core4_0_hptxs_address_translation_window_address_width_hwtcl (16),
		.core4_0_pf0_bar0_enable_rxm_burst_hwtcl                      (0),
		.core4_0_pf0_bar1_enable_rxm_burst_hwtcl                      (0),
		.core4_0_pf0_bar2_enable_rxm_burst_hwtcl                      (0),
		.core4_0_pf0_bar3_enable_rxm_burst_hwtcl                      (0),
		.core4_0_pf0_bar4_enable_rxm_burst_hwtcl                      (0),
		.core4_0_pf0_bar5_enable_rxm_burst_hwtcl                      (0),
		.core4_1_txs_address_width_hwtcl                              (15),
		.core4_1_txs_data_width_hwtcl                                 (32),
		.core4_1_hptxs_address_width_hwtcl                            (25),
		.core4_1_cg_enable_a2p_interrupt_hwtcl                        (0),
		.core4_1_cg_enable_advanced_interrupt_hwtcl                   (0),
		.core4_1_dma_enabled_hwtcl                                    (0),
		.core4_1_dma_instantiate_controller_hwtcl                     (0),
		.core4_1_avmm_addr_width_hwtcl                                (64),
		.core4_1_hptxs_enabled_hwtcl                                  (0),
		.core4_1_hptxs_enabled_mapping_hwtcl                          (0),
		.core4_1_hptxs_address_translation_table_address_width_hwtcl  (9),
		.core4_1_hptxs_address_translation_window_address_width_hwtcl (16),
		.core4_1_pf0_bar0_enable_rxm_burst_hwtcl                      (0),
		.core4_1_pf0_bar1_enable_rxm_burst_hwtcl                      (0),
		.core4_1_pf0_bar2_enable_rxm_burst_hwtcl                      (0),
		.core4_1_pf0_bar3_enable_rxm_burst_hwtcl                      (0),
		.core4_1_pf0_bar4_enable_rxm_burst_hwtcl                      (0),
		.core4_1_pf0_bar5_enable_rxm_burst_hwtcl                      (0)
	) dut (
		.p0_pld_warm_rst_rdy_i   (p0_pld_warm_rst_rdy_i),   //   input,    width = 1,   p0_pld_warm_rst_rdy.pld_warm_rst_rdy
		.p0_pld_link_req_rst_o   (p0_pld_link_req_rst_o),   //  output,    width = 1,     p0_link_req_rst_n.link_req_rst_n
		.p0_msi_pnd_func_i       (p0_msi_pnd_func_i),       //   input,    width = 3,                p0_msi.msi_pnd_func
		.p0_msi_pnd_byte_i       (p0_msi_pnd_byte_i),       //   input,    width = 8,                      .msi_pnd_byte
		.p0_msi_pnd_addr_i       (p0_msi_pnd_addr_i),       //   input,    width = 2,                      .msi_pnd_addr
		.rx_n_in0                (rx_n_in0),                //   input,    width = 1,            hip_serial.rx_n_in0
		.rx_n_in1                (rx_n_in1),                //   input,    width = 1,                      .rx_n_in1
		.rx_n_in2                (rx_n_in2),                //   input,    width = 1,                      .rx_n_in2
		.rx_n_in3                (rx_n_in3),                //   input,    width = 1,                      .rx_n_in3
		.rx_n_in4                (rx_n_in4),                //   input,    width = 1,                      .rx_n_in4
		.rx_n_in5                (rx_n_in5),                //   input,    width = 1,                      .rx_n_in5
		.rx_n_in6                (rx_n_in6),                //   input,    width = 1,                      .rx_n_in6
		.rx_n_in7                (rx_n_in7),                //   input,    width = 1,                      .rx_n_in7
		.rx_n_in8                (rx_n_in8),                //   input,    width = 1,                      .rx_n_in8
		.rx_n_in9                (rx_n_in9),                //   input,    width = 1,                      .rx_n_in9
		.rx_n_in10               (rx_n_in10),               //   input,    width = 1,                      .rx_n_in10
		.rx_n_in11               (rx_n_in11),               //   input,    width = 1,                      .rx_n_in11
		.rx_n_in12               (rx_n_in12),               //   input,    width = 1,                      .rx_n_in12
		.rx_n_in13               (rx_n_in13),               //   input,    width = 1,                      .rx_n_in13
		.rx_n_in14               (rx_n_in14),               //   input,    width = 1,                      .rx_n_in14
		.rx_n_in15               (rx_n_in15),               //   input,    width = 1,                      .rx_n_in15
		.rx_p_in0                (rx_p_in0),                //   input,    width = 1,                      .rx_p_in0
		.rx_p_in1                (rx_p_in1),                //   input,    width = 1,                      .rx_p_in1
		.rx_p_in2                (rx_p_in2),                //   input,    width = 1,                      .rx_p_in2
		.rx_p_in3                (rx_p_in3),                //   input,    width = 1,                      .rx_p_in3
		.rx_p_in4                (rx_p_in4),                //   input,    width = 1,                      .rx_p_in4
		.rx_p_in5                (rx_p_in5),                //   input,    width = 1,                      .rx_p_in5
		.rx_p_in6                (rx_p_in6),                //   input,    width = 1,                      .rx_p_in6
		.rx_p_in7                (rx_p_in7),                //   input,    width = 1,                      .rx_p_in7
		.rx_p_in8                (rx_p_in8),                //   input,    width = 1,                      .rx_p_in8
		.rx_p_in9                (rx_p_in9),                //   input,    width = 1,                      .rx_p_in9
		.rx_p_in10               (rx_p_in10),               //   input,    width = 1,                      .rx_p_in10
		.rx_p_in11               (rx_p_in11),               //   input,    width = 1,                      .rx_p_in11
		.rx_p_in12               (rx_p_in12),               //   input,    width = 1,                      .rx_p_in12
		.rx_p_in13               (rx_p_in13),               //   input,    width = 1,                      .rx_p_in13
		.rx_p_in14               (rx_p_in14),               //   input,    width = 1,                      .rx_p_in14
		.rx_p_in15               (rx_p_in15),               //   input,    width = 1,                      .rx_p_in15
		.tx_n_out0               (tx_n_out0),               //  output,    width = 1,                      .tx_n_out0
		.tx_n_out1               (tx_n_out1),               //  output,    width = 1,                      .tx_n_out1
		.tx_n_out2               (tx_n_out2),               //  output,    width = 1,                      .tx_n_out2
		.tx_n_out3               (tx_n_out3),               //  output,    width = 1,                      .tx_n_out3
		.tx_n_out4               (tx_n_out4),               //  output,    width = 1,                      .tx_n_out4
		.tx_n_out5               (tx_n_out5),               //  output,    width = 1,                      .tx_n_out5
		.tx_n_out6               (tx_n_out6),               //  output,    width = 1,                      .tx_n_out6
		.tx_n_out7               (tx_n_out7),               //  output,    width = 1,                      .tx_n_out7
		.tx_n_out8               (tx_n_out8),               //  output,    width = 1,                      .tx_n_out8
		.tx_n_out9               (tx_n_out9),               //  output,    width = 1,                      .tx_n_out9
		.tx_n_out10              (tx_n_out10),              //  output,    width = 1,                      .tx_n_out10
		.tx_n_out11              (tx_n_out11),              //  output,    width = 1,                      .tx_n_out11
		.tx_n_out12              (tx_n_out12),              //  output,    width = 1,                      .tx_n_out12
		.tx_n_out13              (tx_n_out13),              //  output,    width = 1,                      .tx_n_out13
		.tx_n_out14              (tx_n_out14),              //  output,    width = 1,                      .tx_n_out14
		.tx_n_out15              (tx_n_out15),              //  output,    width = 1,                      .tx_n_out15
		.tx_p_out0               (tx_p_out0),               //  output,    width = 1,                      .tx_p_out0
		.tx_p_out1               (tx_p_out1),               //  output,    width = 1,                      .tx_p_out1
		.tx_p_out2               (tx_p_out2),               //  output,    width = 1,                      .tx_p_out2
		.tx_p_out3               (tx_p_out3),               //  output,    width = 1,                      .tx_p_out3
		.tx_p_out4               (tx_p_out4),               //  output,    width = 1,                      .tx_p_out4
		.tx_p_out5               (tx_p_out5),               //  output,    width = 1,                      .tx_p_out5
		.tx_p_out6               (tx_p_out6),               //  output,    width = 1,                      .tx_p_out6
		.tx_p_out7               (tx_p_out7),               //  output,    width = 1,                      .tx_p_out7
		.tx_p_out8               (tx_p_out8),               //  output,    width = 1,                      .tx_p_out8
		.tx_p_out9               (tx_p_out9),               //  output,    width = 1,                      .tx_p_out9
		.tx_p_out10              (tx_p_out10),              //  output,    width = 1,                      .tx_p_out10
		.tx_p_out11              (tx_p_out11),              //  output,    width = 1,                      .tx_p_out11
		.tx_p_out12              (tx_p_out12),              //  output,    width = 1,                      .tx_p_out12
		.tx_p_out13              (tx_p_out13),              //  output,    width = 1,                      .tx_p_out13
		.tx_p_out14              (tx_p_out14),              //  output,    width = 1,                      .tx_p_out14
		.tx_p_out15              (tx_p_out15),              //  output,    width = 1,                      .tx_p_out15
		.coreclkout_hip          (coreclkout_hip),          //  output,    width = 1,        coreclkout_hip.clk
		.refclk0                 (refclk0),                 //   input,    width = 1,               refclk0.clk
		.refclk1                 (refclk1),                 //   input,    width = 1,               refclk1.clk
		.pin_perst_n             (pin_perst_n),             //   input,    width = 1,             pin_perst.pin_perst
		.ninit_done              (ninit_done),              //   input,    width = 1,            ninit_done.ninit_done
		.p0_app_clk              (p0_app_clk),              //  output,    width = 1,            p0_app_clk.clk
		.p0_reset_status_n       (p0_reset_status_n),       //  output,    width = 1, p0_app_reset_status_n.reset_n
		.p0_tl_cfg_func_o        (p0_tl_cfg_func_o),        //  output,    width = 3,        p0_config_tl_o.tl_cfg_func
		.p0_tl_cfg_add_o         (p0_tl_cfg_add_o),         //  output,    width = 5,                      .tl_cfg_add
		.p0_tl_cfg_ctl_o         (p0_tl_cfg_ctl_o),         //  output,   width = 16,                      .tl_cfg_ctl
		.p0_wrdm_pfnum_o         (p0_wrdm_pfnum_o),         //  output,    width = 2,       p0_wrdm_conduit.pfnum
		.p0_wrdm_waitrequest_i   (p0_wrdm_waitrequest_i),   //   input,    width = 1,        p0_wrdm_master.waitrequest
		.p0_wrdm_read_o          (p0_wrdm_read_o),          //  output,    width = 1,                      .read
		.p0_wrdm_address_o       (p0_wrdm_address_o),       //  output,   width = 64,                      .address
		.p0_wrdm_burstcount_o    (p0_wrdm_burstcount_o),    //  output,    width = 4,                      .burstcount
		.p0_wrdm_byteenable_o    (p0_wrdm_byteenable_o),    //  output,   width = 64,                      .byteenable
		.p0_wrdm_readdatavalid_i (p0_wrdm_readdatavalid_i), //   input,    width = 1,                      .readdatavalid
		.p0_wrdm_readdata_i      (p0_wrdm_readdata_i),      //   input,  width = 512,                      .readdata
		.p0_wrdm_response_i      (p0_wrdm_response_i),      //   input,    width = 2,                      .response
		.p0_wrdm_desc_ready_o    (p0_wrdm_desc_ready_o),    //  output,    width = 1,          p0_wrdm_desc.ready
		.p0_wrdm_desc_valid_i    (p0_wrdm_desc_valid_i),    //   input,    width = 1,                      .valid
		.p0_wrdm_desc_data_i     (p0_wrdm_desc_data_i),     //   input,  width = 174,                      .data
		.p0_wrdm_prio_ready_o    (p0_wrdm_prio_ready_o),    //  output,    width = 1,          p0_wrdm_prio.ready
		.p0_wrdm_prio_valid_i    (p0_wrdm_prio_valid_i),    //   input,    width = 1,                      .valid
		.p0_wrdm_prio_data_i     (p0_wrdm_prio_data_i),     //   input,  width = 174,                      .data
		.p0_wrdm_tx_valid_o      (p0_wrdm_tx_valid_o),      //  output,    width = 1,            p0_wrdm_tx.valid
		.p0_wrdm_tx_data_o       (p0_wrdm_tx_data_o),       //  output,   width = 32,                      .data
		.p0_rddm_pfnum_o         (p0_rddm_pfnum_o),         //  output,    width = 2,       p0_rddm_conduit.pfnum
		.p0_rddm_waitrequest_i   (p0_rddm_waitrequest_i),   //   input,    width = 1,        p0_rddm_master.waitrequest
		.p0_rddm_write_o         (p0_rddm_write_o),         //  output,    width = 1,                      .write
		.p0_rddm_address_o       (p0_rddm_address_o),       //  output,   width = 64,                      .address
		.p0_rddm_burstcount_o    (p0_rddm_burstcount_o),    //  output,    width = 4,                      .burstcount
		.p0_rddm_byteenable_o    (p0_rddm_byteenable_o),    //  output,   width = 64,                      .byteenable
		.p0_rddm_writedata_o     (p0_rddm_writedata_o),     //  output,  width = 512,                      .writedata
		.p0_rddm_desc_ready_o    (p0_rddm_desc_ready_o),    //  output,    width = 1,          p0_rddm_desc.ready
		.p0_rddm_desc_valid_i    (p0_rddm_desc_valid_i),    //   input,    width = 1,                      .valid
		.p0_rddm_desc_data_i     (p0_rddm_desc_data_i),     //   input,  width = 174,                      .data
		.p0_rddm_prio_ready_o    (p0_rddm_prio_ready_o),    //  output,    width = 1,          p0_rddm_prio.ready
		.p0_rddm_prio_valid_i    (p0_rddm_prio_valid_i),    //   input,    width = 1,                      .valid
		.p0_rddm_prio_data_i     (p0_rddm_prio_data_i),     //   input,  width = 174,                      .data
		.p0_rddm_tx_valid_o      (p0_rddm_tx_valid_o),      //  output,    width = 1,            p0_rddm_tx.valid
		.p0_rddm_tx_data_o       (p0_rddm_tx_data_o),       //  output,   width = 32,                      .data
		.p0_bam_pfnum_o          (p0_bam_pfnum_o),          //  output,    width = 2,        p0_bam_conduit.pfnum
		.p0_bam_bar_o            (p0_bam_bar_o),            //  output,    width = 3,                      .barnum
		.p0_bam_waitrequest_i    (p0_bam_waitrequest_i),    //   input,    width = 1,         p0_bam_master.waitrequest
		.p0_bam_address_o        (p0_bam_address_o),        //  output,   width = 64,                      .address
		.p0_bam_byteenable_o     (p0_bam_byteenable_o),     //  output,   width = 64,                      .byteenable
		.p0_bam_read_o           (p0_bam_read_o),           //  output,    width = 1,                      .read
		.p0_bam_readdata_i       (p0_bam_readdata_i),       //   input,  width = 512,                      .readdata
		.p0_bam_readdatavalid_i  (p0_bam_readdatavalid_i),  //   input,    width = 1,                      .readdatavalid
		.p0_bam_write_o          (p0_bam_write_o),          //  output,    width = 1,                      .write
		.p0_bam_writedata_o      (p0_bam_writedata_o),      //  output,  width = 512,                      .writedata
		.p0_bam_burstcount_o     (p0_bam_burstcount_o),     //  output,    width = 4,                      .burstcount
		.p0_bam_response_i       (p0_bam_response_i),       //   input,    width = 2,                      .response
		.p0_bus_master_enable_o  (p0_bus_master_enable_o)   //  output,    width = 2,     p0_bus_master_ena.bus_master_enable
	);

endmodule
