// pcie_ed.v

// Generated using ACDS version 21.2 72

`timescale 1 ps / 1 ps
module pcie_ed (
		input  wire       hip_serial_rx_n_in0,   // hip_serial.rx_n_in0
		input  wire       hip_serial_rx_n_in1,   //           .rx_n_in1
		input  wire       hip_serial_rx_n_in2,   //           .rx_n_in2
		input  wire       hip_serial_rx_n_in3,   //           .rx_n_in3
		input  wire       hip_serial_rx_n_in4,   //           .rx_n_in4
		input  wire       hip_serial_rx_n_in5,   //           .rx_n_in5
		input  wire       hip_serial_rx_n_in6,   //           .rx_n_in6
		input  wire       hip_serial_rx_n_in7,   //           .rx_n_in7
		input  wire       hip_serial_rx_n_in8,   //           .rx_n_in8
		input  wire       hip_serial_rx_n_in9,   //           .rx_n_in9
		input  wire       hip_serial_rx_n_in10,  //           .rx_n_in10
		input  wire       hip_serial_rx_n_in11,  //           .rx_n_in11
		input  wire       hip_serial_rx_n_in12,  //           .rx_n_in12
		input  wire       hip_serial_rx_n_in13,  //           .rx_n_in13
		input  wire       hip_serial_rx_n_in14,  //           .rx_n_in14
		input  wire       hip_serial_rx_n_in15,  //           .rx_n_in15
		input  wire       hip_serial_rx_p_in0,   //           .rx_p_in0
		input  wire       hip_serial_rx_p_in1,   //           .rx_p_in1
		input  wire       hip_serial_rx_p_in2,   //           .rx_p_in2
		input  wire       hip_serial_rx_p_in3,   //           .rx_p_in3
		input  wire       hip_serial_rx_p_in4,   //           .rx_p_in4
		input  wire       hip_serial_rx_p_in5,   //           .rx_p_in5
		input  wire       hip_serial_rx_p_in6,   //           .rx_p_in6
		input  wire       hip_serial_rx_p_in7,   //           .rx_p_in7
		input  wire       hip_serial_rx_p_in8,   //           .rx_p_in8
		input  wire       hip_serial_rx_p_in9,   //           .rx_p_in9
		input  wire       hip_serial_rx_p_in10,  //           .rx_p_in10
		input  wire       hip_serial_rx_p_in11,  //           .rx_p_in11
		input  wire       hip_serial_rx_p_in12,  //           .rx_p_in12
		input  wire       hip_serial_rx_p_in13,  //           .rx_p_in13
		input  wire       hip_serial_rx_p_in14,  //           .rx_p_in14
		input  wire       hip_serial_rx_p_in15,  //           .rx_p_in15
		output wire       hip_serial_tx_n_out0,  //           .tx_n_out0
		output wire       hip_serial_tx_n_out1,  //           .tx_n_out1
		output wire       hip_serial_tx_n_out2,  //           .tx_n_out2
		output wire       hip_serial_tx_n_out3,  //           .tx_n_out3
		output wire       hip_serial_tx_n_out4,  //           .tx_n_out4
		output wire       hip_serial_tx_n_out5,  //           .tx_n_out5
		output wire       hip_serial_tx_n_out6,  //           .tx_n_out6
		output wire       hip_serial_tx_n_out7,  //           .tx_n_out7
		output wire       hip_serial_tx_n_out8,  //           .tx_n_out8
		output wire       hip_serial_tx_n_out9,  //           .tx_n_out9
		output wire       hip_serial_tx_n_out10, //           .tx_n_out10
		output wire       hip_serial_tx_n_out11, //           .tx_n_out11
		output wire       hip_serial_tx_n_out12, //           .tx_n_out12
		output wire       hip_serial_tx_n_out13, //           .tx_n_out13
		output wire       hip_serial_tx_n_out14, //           .tx_n_out14
		output wire       hip_serial_tx_n_out15, //           .tx_n_out15
		output wire       hip_serial_tx_p_out0,  //           .tx_p_out0
		output wire       hip_serial_tx_p_out1,  //           .tx_p_out1
		output wire       hip_serial_tx_p_out2,  //           .tx_p_out2
		output wire       hip_serial_tx_p_out3,  //           .tx_p_out3
		output wire       hip_serial_tx_p_out4,  //           .tx_p_out4
		output wire       hip_serial_tx_p_out5,  //           .tx_p_out5
		output wire       hip_serial_tx_p_out6,  //           .tx_p_out6
		output wire       hip_serial_tx_p_out7,  //           .tx_p_out7
		output wire       hip_serial_tx_p_out8,  //           .tx_p_out8
		output wire       hip_serial_tx_p_out9,  //           .tx_p_out9
		output wire       hip_serial_tx_p_out10, //           .tx_p_out10
		output wire       hip_serial_tx_p_out11, //           .tx_p_out11
		output wire       hip_serial_tx_p_out12, //           .tx_p_out12
		output wire       hip_serial_tx_p_out13, //           .tx_p_out13
		output wire       hip_serial_tx_p_out14, //           .tx_p_out14
		output wire       hip_serial_tx_p_out15, //           .tx_p_out15
		input  wire       refclk0_clk,           //    refclk0.clk
		input  wire       refclk1_clk,           //    refclk1.clk
		input  wire       pin_perst_pin_perst,   //  pin_perst.pin_perst
		input  wire [1:0] pio_button_export,     // pio_button.export
		output wire [1:0] pio_led_export         //    pio_led.export
	);

	wire          dut_p0_rddm_tx_valid;                                           // dut:p0_rddm_tx_valid_o -> DMA_CONTROLLER:dma_rddm_tx_valid_i
	wire   [31:0] dut_p0_rddm_tx_data;                                            // dut:p0_rddm_tx_data_o -> DMA_CONTROLLER:dma_rddm_tx_data_i
	wire          dut_p0_wrdm_tx_valid;                                           // dut:p0_wrdm_tx_valid_o -> DMA_CONTROLLER:dma_wrdm_tx_valid_i
	wire   [31:0] dut_p0_wrdm_tx_data;                                            // dut:p0_wrdm_tx_data_o -> DMA_CONTROLLER:dma_wrdm_tx_data_i
	wire          dma_controller_rddm_desc_valid;                                 // DMA_CONTROLLER:dma_rddm_desc_valid_o -> dut:p0_rddm_desc_valid_i
	wire  [173:0] dma_controller_rddm_desc_data;                                  // DMA_CONTROLLER:dma_rddm_desc_data_o -> dut:p0_rddm_desc_data_i
	wire          dma_controller_rddm_desc_ready;                                 // dut:p0_rddm_desc_ready_o -> DMA_CONTROLLER:dma_rddm_desc_ready_i
	wire          dma_controller_rddm_prio_valid;                                 // DMA_CONTROLLER:dma_rddm_prio_valid_o -> dut:p0_rddm_prio_valid_i
	wire  [173:0] dma_controller_rddm_prio_data;                                  // DMA_CONTROLLER:dma_rddm_prio_data_o -> dut:p0_rddm_prio_data_i
	wire          dma_controller_rddm_prio_ready;                                 // dut:p0_rddm_prio_ready_o -> DMA_CONTROLLER:dma_rddm_prio_ready_i
	wire          dma_controller_wrdm_desc_valid;                                 // DMA_CONTROLLER:dma_wrdm_desc_valid_o -> dut:p0_wrdm_desc_valid_i
	wire  [173:0] dma_controller_wrdm_desc_data;                                  // DMA_CONTROLLER:dma_wrdm_desc_data_o -> dut:p0_wrdm_desc_data_i
	wire          dma_controller_wrdm_desc_ready;                                 // dut:p0_wrdm_desc_ready_o -> DMA_CONTROLLER:dma_wrdm_desc_ready_i
	wire          dma_controller_wrdm_prio_valid;                                 // DMA_CONTROLLER:dma_wrdm_prio_valid_o -> dut:p0_wrdm_prio_valid_i
	wire  [173:0] dma_controller_wrdm_prio_data;                                  // DMA_CONTROLLER:dma_wrdm_prio_data_o -> dut:p0_wrdm_prio_data_i
	wire          dma_controller_wrdm_prio_ready;                                 // dut:p0_wrdm_prio_ready_o -> DMA_CONTROLLER:dma_wrdm_prio_ready_i
	wire          dut_p0_app_clk_clk;                                             // dut:p0_app_clk -> [BAR_INTERPRETER:Clk_i, DMA_CONTROLLER:Clk_i, mem:clk, mm_bridge_bar4:clk, mm_bridge_dma_controller:clk, mm_bridge_onchip_mem:clk, mm_interconnect_0:dut_p0_app_clk_clk, mm_interconnect_1:dut_p0_app_clk_clk, mm_interconnect_2:dut_p0_app_clk_clk, mm_interconnect_3:dut_p0_app_clk_clk, mm_interconnect_4:dut_p0_app_clk_clk, pio_button:clk, pio_led:clk, rst_controller:clk]
	wire          resetip_ninit_done_ninit_done;                                  // resetIP:ninit_done -> dut:ninit_done
	wire    [2:0] dut_p0_bam_conduit_barnum;                                      // dut:p0_bam_bar_o -> BAR_INTERPRETER:bri_s_bar_i
	wire    [1:0] dut_p0_bam_conduit_pfnum;                                       // dut:p0_bam_pfnum_o -> BAR_INTERPRETER:bri_s_pfnum_i
	wire    [1:0] dut_p0_rddm_conduit_pfnum;                                      // dut:p0_rddm_pfnum_o -> DMA_CONTROLLER:dma_rddm_pfnum_i
	wire    [1:0] dut_p0_wrdm_conduit_pfnum;                                      // dut:p0_wrdm_pfnum_o -> DMA_CONTROLLER:dma_wrdm_pfnum_i
	wire          dut_p0_app_reset_status_n_reset;                                // dut:p0_reset_status_n -> [mm_bridge_bar4:reset, mm_bridge_dma_controller:reset, mm_bridge_onchip_mem:reset, mm_interconnect_0:BAR_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_0:mm_bridge_dma_controller_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mm_bridge_bar4_reset_reset_bridge_in_reset_reset, mm_interconnect_1:pio_led_reset_reset_bridge_in_reset_reset, mm_interconnect_2:BAR_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_2:dut_p0_bam_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_3:mm_bridge_dma_controller_reset_reset_bridge_in_reset_reset, mm_interconnect_3:mm_bridge_dma_controller_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_4:dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_4:mem_reset1_reset_bridge_in_reset_reset, rst_controller:reset_in0]
	wire  [511:0] bar_interpreter_bri_master_readdata;                            // mm_interconnect_0:BAR_INTERPRETER_bri_master_readdata -> BAR_INTERPRETER:bri_m_readdata_i
	wire          bar_interpreter_bri_master_waitrequest;                         // mm_interconnect_0:BAR_INTERPRETER_bri_master_waitrequest -> BAR_INTERPRETER:bri_m_waitrequest_i
	wire   [27:0] bar_interpreter_bri_master_address;                             // BAR_INTERPRETER:bri_m_address_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_address
	wire          bar_interpreter_bri_master_read;                                // BAR_INTERPRETER:bri_m_read_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_read
	wire   [63:0] bar_interpreter_bri_master_byteenable;                          // BAR_INTERPRETER:bri_m_byteenable_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_byteenable
	wire          bar_interpreter_bri_master_readdatavalid;                       // mm_interconnect_0:BAR_INTERPRETER_bri_master_readdatavalid -> BAR_INTERPRETER:bri_m_readdatavalid_i
	wire    [1:0] bar_interpreter_bri_master_response;                            // mm_interconnect_0:BAR_INTERPRETER_bri_master_response -> BAR_INTERPRETER:bri_m_response_i
	wire          bar_interpreter_bri_master_write;                               // BAR_INTERPRETER:bri_m_write_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_write
	wire  [511:0] bar_interpreter_bri_master_writedata;                           // BAR_INTERPRETER:bri_m_writedata_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_writedata
	wire    [3:0] bar_interpreter_bri_master_burstcount;                          // BAR_INTERPRETER:bri_m_burstcount_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_burstcount
	wire          mm_bridge_dma_controller_m0_waitrequest;                        // mm_interconnect_0:mm_bridge_dma_controller_m0_waitrequest -> mm_bridge_dma_controller:m0_waitrequest
	wire  [511:0] mm_bridge_dma_controller_m0_readdata;                           // mm_interconnect_0:mm_bridge_dma_controller_m0_readdata -> mm_bridge_dma_controller:m0_readdata
	wire          mm_bridge_dma_controller_m0_debugaccess;                        // mm_bridge_dma_controller:m0_debugaccess -> mm_interconnect_0:mm_bridge_dma_controller_m0_debugaccess
	wire   [11:0] mm_bridge_dma_controller_m0_address;                            // mm_bridge_dma_controller:m0_address -> mm_interconnect_0:mm_bridge_dma_controller_m0_address
	wire          mm_bridge_dma_controller_m0_read;                               // mm_bridge_dma_controller:m0_read -> mm_interconnect_0:mm_bridge_dma_controller_m0_read
	wire   [63:0] mm_bridge_dma_controller_m0_byteenable;                         // mm_bridge_dma_controller:m0_byteenable -> mm_interconnect_0:mm_bridge_dma_controller_m0_byteenable
	wire          mm_bridge_dma_controller_m0_readdatavalid;                      // mm_interconnect_0:mm_bridge_dma_controller_m0_readdatavalid -> mm_bridge_dma_controller:m0_readdatavalid
	wire  [511:0] mm_bridge_dma_controller_m0_writedata;                          // mm_bridge_dma_controller:m0_writedata -> mm_interconnect_0:mm_bridge_dma_controller_m0_writedata
	wire          mm_bridge_dma_controller_m0_write;                              // mm_bridge_dma_controller:m0_write -> mm_interconnect_0:mm_bridge_dma_controller_m0_write
	wire    [3:0] mm_bridge_dma_controller_m0_burstcount;                         // mm_bridge_dma_controller:m0_burstcount -> mm_interconnect_0:mm_bridge_dma_controller_m0_burstcount
	wire  [511:0] mm_interconnect_0_dma_controller_dma_msix_slave_readdata;       // DMA_CONTROLLER:msix_table_readdata_o -> mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_readdata
	wire          mm_interconnect_0_dma_controller_dma_msix_slave_waitrequest;    // DMA_CONTROLLER:msix_table_waitrequest_o -> mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_waitrequest
	wire   [11:0] mm_interconnect_0_dma_controller_dma_msix_slave_address;        // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_address -> DMA_CONTROLLER:msix_table_address_i
	wire          mm_interconnect_0_dma_controller_dma_msix_slave_read;           // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_read -> DMA_CONTROLLER:msix_table_read_i
	wire   [63:0] mm_interconnect_0_dma_controller_dma_msix_slave_byteenable;     // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_byteenable -> DMA_CONTROLLER:msix_table_byteenable_i
	wire          mm_interconnect_0_dma_controller_dma_msix_slave_readdatavalid;  // DMA_CONTROLLER:msix_table_readdatavalid_o -> mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_readdatavalid
	wire          mm_interconnect_0_dma_controller_dma_msix_slave_write;          // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_write -> DMA_CONTROLLER:msix_table_write_i
	wire  [511:0] mm_interconnect_0_dma_controller_dma_msix_slave_writedata;      // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_writedata -> DMA_CONTROLLER:msix_table_writedata_i
	wire    [3:0] mm_interconnect_0_dma_controller_dma_msix_slave_burstcount;     // mm_interconnect_0:DMA_CONTROLLER_dma_msix_slave_burstcount -> DMA_CONTROLLER:msix_table_burstcount_i
	wire  [511:0] mm_interconnect_0_dma_controller_dma_slave_readdata;            // DMA_CONTROLLER:dma_s_readdata_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_readdata
	wire          mm_interconnect_0_dma_controller_dma_slave_waitrequest;         // DMA_CONTROLLER:dma_s_waitrequest_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_waitrequest
	wire   [11:0] mm_interconnect_0_dma_controller_dma_slave_address;             // mm_interconnect_0:DMA_CONTROLLER_dma_slave_address -> DMA_CONTROLLER:dma_s_address_i
	wire          mm_interconnect_0_dma_controller_dma_slave_read;                // mm_interconnect_0:DMA_CONTROLLER_dma_slave_read -> DMA_CONTROLLER:dma_s_read_i
	wire   [63:0] mm_interconnect_0_dma_controller_dma_slave_byteenable;          // mm_interconnect_0:DMA_CONTROLLER_dma_slave_byteenable -> DMA_CONTROLLER:dma_s_byteenable_i
	wire          mm_interconnect_0_dma_controller_dma_slave_readdatavalid;       // DMA_CONTROLLER:dma_s_readdatavalid_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_readdatavalid
	wire    [1:0] mm_interconnect_0_dma_controller_dma_slave_response;            // DMA_CONTROLLER:dma_s_response_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_response
	wire          mm_interconnect_0_dma_controller_dma_slave_write;               // mm_interconnect_0:DMA_CONTROLLER_dma_slave_write -> DMA_CONTROLLER:dma_s_write_i
	wire  [511:0] mm_interconnect_0_dma_controller_dma_slave_writedata;           // mm_interconnect_0:DMA_CONTROLLER_dma_slave_writedata -> DMA_CONTROLLER:dma_s_writedata_i
	wire    [3:0] mm_interconnect_0_dma_controller_dma_slave_burstcount;          // mm_interconnect_0:DMA_CONTROLLER_dma_slave_burstcount -> DMA_CONTROLLER:dma_s_burstcount_i
	wire  [511:0] mm_interconnect_0_mm_bridge_bar4_s0_readdata;                   // mm_bridge_bar4:s0_readdata -> mm_interconnect_0:mm_bridge_bar4_s0_readdata
	wire          mm_interconnect_0_mm_bridge_bar4_s0_waitrequest;                // mm_bridge_bar4:s0_waitrequest -> mm_interconnect_0:mm_bridge_bar4_s0_waitrequest
	wire          mm_interconnect_0_mm_bridge_bar4_s0_debugaccess;                // mm_interconnect_0:mm_bridge_bar4_s0_debugaccess -> mm_bridge_bar4:s0_debugaccess
	wire   [23:0] mm_interconnect_0_mm_bridge_bar4_s0_address;                    // mm_interconnect_0:mm_bridge_bar4_s0_address -> mm_bridge_bar4:s0_address
	wire          mm_interconnect_0_mm_bridge_bar4_s0_read;                       // mm_interconnect_0:mm_bridge_bar4_s0_read -> mm_bridge_bar4:s0_read
	wire   [63:0] mm_interconnect_0_mm_bridge_bar4_s0_byteenable;                 // mm_interconnect_0:mm_bridge_bar4_s0_byteenable -> mm_bridge_bar4:s0_byteenable
	wire          mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid;              // mm_bridge_bar4:s0_readdatavalid -> mm_interconnect_0:mm_bridge_bar4_s0_readdatavalid
	wire          mm_interconnect_0_mm_bridge_bar4_s0_write;                      // mm_interconnect_0:mm_bridge_bar4_s0_write -> mm_bridge_bar4:s0_write
	wire  [511:0] mm_interconnect_0_mm_bridge_bar4_s0_writedata;                  // mm_interconnect_0:mm_bridge_bar4_s0_writedata -> mm_bridge_bar4:s0_writedata
	wire    [3:0] mm_interconnect_0_mm_bridge_bar4_s0_burstcount;                 // mm_interconnect_0:mm_bridge_bar4_s0_burstcount -> mm_bridge_bar4:s0_burstcount
	wire          mm_bridge_bar4_m0_waitrequest;                                  // mm_interconnect_1:mm_bridge_bar4_m0_waitrequest -> mm_bridge_bar4:m0_waitrequest
	wire  [511:0] mm_bridge_bar4_m0_readdata;                                     // mm_interconnect_1:mm_bridge_bar4_m0_readdata -> mm_bridge_bar4:m0_readdata
	wire          mm_bridge_bar4_m0_debugaccess;                                  // mm_bridge_bar4:m0_debugaccess -> mm_interconnect_1:mm_bridge_bar4_m0_debugaccess
	wire   [23:0] mm_bridge_bar4_m0_address;                                      // mm_bridge_bar4:m0_address -> mm_interconnect_1:mm_bridge_bar4_m0_address
	wire          mm_bridge_bar4_m0_read;                                         // mm_bridge_bar4:m0_read -> mm_interconnect_1:mm_bridge_bar4_m0_read
	wire   [63:0] mm_bridge_bar4_m0_byteenable;                                   // mm_bridge_bar4:m0_byteenable -> mm_interconnect_1:mm_bridge_bar4_m0_byteenable
	wire          mm_bridge_bar4_m0_readdatavalid;                                // mm_interconnect_1:mm_bridge_bar4_m0_readdatavalid -> mm_bridge_bar4:m0_readdatavalid
	wire  [511:0] mm_bridge_bar4_m0_writedata;                                    // mm_bridge_bar4:m0_writedata -> mm_interconnect_1:mm_bridge_bar4_m0_writedata
	wire          mm_bridge_bar4_m0_write;                                        // mm_bridge_bar4:m0_write -> mm_interconnect_1:mm_bridge_bar4_m0_write
	wire    [3:0] mm_bridge_bar4_m0_burstcount;                                   // mm_bridge_bar4:m0_burstcount -> mm_interconnect_1:mm_bridge_bar4_m0_burstcount
	wire          mm_bridge_onchip_mem_m0_waitrequest;                            // mm_interconnect_1:mm_bridge_onchip_mem_m0_waitrequest -> mm_bridge_onchip_mem:m0_waitrequest
	wire  [511:0] mm_bridge_onchip_mem_m0_readdata;                               // mm_interconnect_1:mm_bridge_onchip_mem_m0_readdata -> mm_bridge_onchip_mem:m0_readdata
	wire          mm_bridge_onchip_mem_m0_debugaccess;                            // mm_bridge_onchip_mem:m0_debugaccess -> mm_interconnect_1:mm_bridge_onchip_mem_m0_debugaccess
	wire   [18:0] mm_bridge_onchip_mem_m0_address;                                // mm_bridge_onchip_mem:m0_address -> mm_interconnect_1:mm_bridge_onchip_mem_m0_address
	wire          mm_bridge_onchip_mem_m0_read;                                   // mm_bridge_onchip_mem:m0_read -> mm_interconnect_1:mm_bridge_onchip_mem_m0_read
	wire   [63:0] mm_bridge_onchip_mem_m0_byteenable;                             // mm_bridge_onchip_mem:m0_byteenable -> mm_interconnect_1:mm_bridge_onchip_mem_m0_byteenable
	wire          mm_bridge_onchip_mem_m0_readdatavalid;                          // mm_interconnect_1:mm_bridge_onchip_mem_m0_readdatavalid -> mm_bridge_onchip_mem:m0_readdatavalid
	wire  [511:0] mm_bridge_onchip_mem_m0_writedata;                              // mm_bridge_onchip_mem:m0_writedata -> mm_interconnect_1:mm_bridge_onchip_mem_m0_writedata
	wire          mm_bridge_onchip_mem_m0_write;                                  // mm_bridge_onchip_mem:m0_write -> mm_interconnect_1:mm_bridge_onchip_mem_m0_write
	wire    [3:0] mm_bridge_onchip_mem_m0_burstcount;                             // mm_bridge_onchip_mem:m0_burstcount -> mm_interconnect_1:mm_bridge_onchip_mem_m0_burstcount
	wire          mm_interconnect_1_pio_led_s1_chipselect;                        // mm_interconnect_1:pio_led_s1_chipselect -> pio_led:chipselect
	wire   [31:0] mm_interconnect_1_pio_led_s1_readdata;                          // pio_led:readdata -> mm_interconnect_1:pio_led_s1_readdata
	wire    [1:0] mm_interconnect_1_pio_led_s1_address;                           // mm_interconnect_1:pio_led_s1_address -> pio_led:address
	wire          mm_interconnect_1_pio_led_s1_write;                             // mm_interconnect_1:pio_led_s1_write -> pio_led:write_n
	wire   [31:0] mm_interconnect_1_pio_led_s1_writedata;                         // mm_interconnect_1:pio_led_s1_writedata -> pio_led:writedata
	wire   [31:0] mm_interconnect_1_pio_button_s1_readdata;                       // pio_button:readdata -> mm_interconnect_1:pio_button_s1_readdata
	wire    [1:0] mm_interconnect_1_pio_button_s1_address;                        // mm_interconnect_1:pio_button_s1_address -> pio_button:address
	wire          mm_interconnect_1_mem_s2_chipselect;                            // mm_interconnect_1:mem_s2_chipselect -> mem:chipselect2
	wire  [511:0] mm_interconnect_1_mem_s2_readdata;                              // mem:readdata2 -> mm_interconnect_1:mem_s2_readdata
	wire   [12:0] mm_interconnect_1_mem_s2_address;                               // mm_interconnect_1:mem_s2_address -> mem:address2
	wire   [63:0] mm_interconnect_1_mem_s2_byteenable;                            // mm_interconnect_1:mem_s2_byteenable -> mem:byteenable2
	wire          mm_interconnect_1_mem_s2_write;                                 // mm_interconnect_1:mem_s2_write -> mem:write2
	wire  [511:0] mm_interconnect_1_mem_s2_writedata;                             // mm_interconnect_1:mem_s2_writedata -> mem:writedata2
	wire          mm_interconnect_1_mem_s2_clken;                                 // mm_interconnect_1:mem_s2_clken -> mem:clken2
	wire          dut_p0_bam_master_waitrequest;                                  // mm_interconnect_2:dut_p0_bam_master_waitrequest -> dut:p0_bam_waitrequest_i
	wire  [511:0] dut_p0_bam_master_readdata;                                     // mm_interconnect_2:dut_p0_bam_master_readdata -> dut:p0_bam_readdata_i
	wire   [63:0] dut_p0_bam_master_address;                                      // dut:p0_bam_address_o -> mm_interconnect_2:dut_p0_bam_master_address
	wire   [63:0] dut_p0_bam_master_byteenable;                                   // dut:p0_bam_byteenable_o -> mm_interconnect_2:dut_p0_bam_master_byteenable
	wire          dut_p0_bam_master_read;                                         // dut:p0_bam_read_o -> mm_interconnect_2:dut_p0_bam_master_read
	wire          dut_p0_bam_master_readdatavalid;                                // mm_interconnect_2:dut_p0_bam_master_readdatavalid -> dut:p0_bam_readdatavalid_i
	wire    [1:0] dut_p0_bam_master_response;                                     // mm_interconnect_2:dut_p0_bam_master_response -> dut:p0_bam_response_i
	wire          dut_p0_bam_master_write;                                        // dut:p0_bam_write_o -> mm_interconnect_2:dut_p0_bam_master_write
	wire  [511:0] dut_p0_bam_master_writedata;                                    // dut:p0_bam_writedata_o -> mm_interconnect_2:dut_p0_bam_master_writedata
	wire    [3:0] dut_p0_bam_master_burstcount;                                   // dut:p0_bam_burstcount_o -> mm_interconnect_2:dut_p0_bam_master_burstcount
	wire  [511:0] mm_interconnect_2_bar_interpreter_bri_slave_readdata;           // BAR_INTERPRETER:bri_s_readdata_o -> mm_interconnect_2:BAR_INTERPRETER_bri_slave_readdata
	wire          mm_interconnect_2_bar_interpreter_bri_slave_waitrequest;        // BAR_INTERPRETER:bri_s_waitrequest_o -> mm_interconnect_2:BAR_INTERPRETER_bri_slave_waitrequest
	wire   [23:0] mm_interconnect_2_bar_interpreter_bri_slave_address;            // mm_interconnect_2:BAR_INTERPRETER_bri_slave_address -> BAR_INTERPRETER:bri_s_address_i
	wire          mm_interconnect_2_bar_interpreter_bri_slave_read;               // mm_interconnect_2:BAR_INTERPRETER_bri_slave_read -> BAR_INTERPRETER:bri_s_read_i
	wire   [63:0] mm_interconnect_2_bar_interpreter_bri_slave_byteenable;         // mm_interconnect_2:BAR_INTERPRETER_bri_slave_byteenable -> BAR_INTERPRETER:bri_s_byteenable_i
	wire          mm_interconnect_2_bar_interpreter_bri_slave_readdatavalid;      // BAR_INTERPRETER:bri_s_readdatavalid_o -> mm_interconnect_2:BAR_INTERPRETER_bri_slave_readdatavalid
	wire    [1:0] mm_interconnect_2_bar_interpreter_bri_slave_response;           // BAR_INTERPRETER:bri_s_response_o -> mm_interconnect_2:BAR_INTERPRETER_bri_slave_response
	wire          mm_interconnect_2_bar_interpreter_bri_slave_write;              // mm_interconnect_2:BAR_INTERPRETER_bri_slave_write -> BAR_INTERPRETER:bri_s_write_i
	wire  [511:0] mm_interconnect_2_bar_interpreter_bri_slave_writedata;          // mm_interconnect_2:BAR_INTERPRETER_bri_slave_writedata -> BAR_INTERPRETER:bri_s_writedata_i
	wire          mm_interconnect_2_bar_interpreter_bri_slave_writeresponsevalid; // BAR_INTERPRETER:bri_s_writeresponse_valid_o -> mm_interconnect_2:BAR_INTERPRETER_bri_slave_writeresponsevalid
	wire    [3:0] mm_interconnect_2_bar_interpreter_bri_slave_burstcount;         // mm_interconnect_2:BAR_INTERPRETER_bri_slave_burstcount -> BAR_INTERPRETER:bri_s_burstcount_i
	wire          dut_p0_rddm_master_waitrequest;                                 // mm_interconnect_3:dut_p0_rddm_master_waitrequest -> dut:p0_rddm_waitrequest_i
	wire   [63:0] dut_p0_rddm_master_address;                                     // dut:p0_rddm_address_o -> mm_interconnect_3:dut_p0_rddm_master_address
	wire   [63:0] dut_p0_rddm_master_byteenable;                                  // dut:p0_rddm_byteenable_o -> mm_interconnect_3:dut_p0_rddm_master_byteenable
	wire          dut_p0_rddm_master_write;                                       // dut:p0_rddm_write_o -> mm_interconnect_3:dut_p0_rddm_master_write
	wire  [511:0] dut_p0_rddm_master_writedata;                                   // dut:p0_rddm_writedata_o -> mm_interconnect_3:dut_p0_rddm_master_writedata
	wire    [3:0] dut_p0_rddm_master_burstcount;                                  // dut:p0_rddm_burstcount_o -> mm_interconnect_3:dut_p0_rddm_master_burstcount
	wire  [511:0] mm_interconnect_3_mm_bridge_dma_controller_s0_readdata;         // mm_bridge_dma_controller:s0_readdata -> mm_interconnect_3:mm_bridge_dma_controller_s0_readdata
	wire          mm_interconnect_3_mm_bridge_dma_controller_s0_waitrequest;      // mm_bridge_dma_controller:s0_waitrequest -> mm_interconnect_3:mm_bridge_dma_controller_s0_waitrequest
	wire          mm_interconnect_3_mm_bridge_dma_controller_s0_debugaccess;      // mm_interconnect_3:mm_bridge_dma_controller_s0_debugaccess -> mm_bridge_dma_controller:s0_debugaccess
	wire   [11:0] mm_interconnect_3_mm_bridge_dma_controller_s0_address;          // mm_interconnect_3:mm_bridge_dma_controller_s0_address -> mm_bridge_dma_controller:s0_address
	wire          mm_interconnect_3_mm_bridge_dma_controller_s0_read;             // mm_interconnect_3:mm_bridge_dma_controller_s0_read -> mm_bridge_dma_controller:s0_read
	wire   [63:0] mm_interconnect_3_mm_bridge_dma_controller_s0_byteenable;       // mm_interconnect_3:mm_bridge_dma_controller_s0_byteenable -> mm_bridge_dma_controller:s0_byteenable
	wire          mm_interconnect_3_mm_bridge_dma_controller_s0_readdatavalid;    // mm_bridge_dma_controller:s0_readdatavalid -> mm_interconnect_3:mm_bridge_dma_controller_s0_readdatavalid
	wire          mm_interconnect_3_mm_bridge_dma_controller_s0_write;            // mm_interconnect_3:mm_bridge_dma_controller_s0_write -> mm_bridge_dma_controller:s0_write
	wire  [511:0] mm_interconnect_3_mm_bridge_dma_controller_s0_writedata;        // mm_interconnect_3:mm_bridge_dma_controller_s0_writedata -> mm_bridge_dma_controller:s0_writedata
	wire    [3:0] mm_interconnect_3_mm_bridge_dma_controller_s0_burstcount;       // mm_interconnect_3:mm_bridge_dma_controller_s0_burstcount -> mm_bridge_dma_controller:s0_burstcount
	wire  [511:0] mm_interconnect_3_mm_bridge_onchip_mem_s0_readdata;             // mm_bridge_onchip_mem:s0_readdata -> mm_interconnect_3:mm_bridge_onchip_mem_s0_readdata
	wire          mm_interconnect_3_mm_bridge_onchip_mem_s0_waitrequest;          // mm_bridge_onchip_mem:s0_waitrequest -> mm_interconnect_3:mm_bridge_onchip_mem_s0_waitrequest
	wire          mm_interconnect_3_mm_bridge_onchip_mem_s0_debugaccess;          // mm_interconnect_3:mm_bridge_onchip_mem_s0_debugaccess -> mm_bridge_onchip_mem:s0_debugaccess
	wire   [18:0] mm_interconnect_3_mm_bridge_onchip_mem_s0_address;              // mm_interconnect_3:mm_bridge_onchip_mem_s0_address -> mm_bridge_onchip_mem:s0_address
	wire          mm_interconnect_3_mm_bridge_onchip_mem_s0_read;                 // mm_interconnect_3:mm_bridge_onchip_mem_s0_read -> mm_bridge_onchip_mem:s0_read
	wire   [63:0] mm_interconnect_3_mm_bridge_onchip_mem_s0_byteenable;           // mm_interconnect_3:mm_bridge_onchip_mem_s0_byteenable -> mm_bridge_onchip_mem:s0_byteenable
	wire          mm_interconnect_3_mm_bridge_onchip_mem_s0_readdatavalid;        // mm_bridge_onchip_mem:s0_readdatavalid -> mm_interconnect_3:mm_bridge_onchip_mem_s0_readdatavalid
	wire          mm_interconnect_3_mm_bridge_onchip_mem_s0_write;                // mm_interconnect_3:mm_bridge_onchip_mem_s0_write -> mm_bridge_onchip_mem:s0_write
	wire  [511:0] mm_interconnect_3_mm_bridge_onchip_mem_s0_writedata;            // mm_interconnect_3:mm_bridge_onchip_mem_s0_writedata -> mm_bridge_onchip_mem:s0_writedata
	wire    [3:0] mm_interconnect_3_mm_bridge_onchip_mem_s0_burstcount;           // mm_interconnect_3:mm_bridge_onchip_mem_s0_burstcount -> mm_bridge_onchip_mem:s0_burstcount
	wire          dut_p0_wrdm_master_waitrequest;                                 // mm_interconnect_4:dut_p0_wrdm_master_waitrequest -> dut:p0_wrdm_waitrequest_i
	wire  [511:0] dut_p0_wrdm_master_readdata;                                    // mm_interconnect_4:dut_p0_wrdm_master_readdata -> dut:p0_wrdm_readdata_i
	wire          dut_p0_wrdm_master_read;                                        // dut:p0_wrdm_read_o -> mm_interconnect_4:dut_p0_wrdm_master_read
	wire   [63:0] dut_p0_wrdm_master_address;                                     // dut:p0_wrdm_address_o -> mm_interconnect_4:dut_p0_wrdm_master_address
	wire   [63:0] dut_p0_wrdm_master_byteenable;                                  // dut:p0_wrdm_byteenable_o -> mm_interconnect_4:dut_p0_wrdm_master_byteenable
	wire          dut_p0_wrdm_master_readdatavalid;                               // mm_interconnect_4:dut_p0_wrdm_master_readdatavalid -> dut:p0_wrdm_readdatavalid_i
	wire    [1:0] dut_p0_wrdm_master_response;                                    // mm_interconnect_4:dut_p0_wrdm_master_response -> dut:p0_wrdm_response_i
	wire    [3:0] dut_p0_wrdm_master_burstcount;                                  // dut:p0_wrdm_burstcount_o -> mm_interconnect_4:dut_p0_wrdm_master_burstcount
	wire          mm_interconnect_4_mem_s1_chipselect;                            // mm_interconnect_4:mem_s1_chipselect -> mem:chipselect
	wire  [511:0] mm_interconnect_4_mem_s1_readdata;                              // mem:readdata -> mm_interconnect_4:mem_s1_readdata
	wire   [12:0] mm_interconnect_4_mem_s1_address;                               // mm_interconnect_4:mem_s1_address -> mem:address
	wire   [63:0] mm_interconnect_4_mem_s1_byteenable;                            // mm_interconnect_4:mem_s1_byteenable -> mem:byteenable
	wire          mm_interconnect_4_mem_s1_write;                                 // mm_interconnect_4:mem_s1_write -> mem:write
	wire  [511:0] mm_interconnect_4_mem_s1_writedata;                             // mm_interconnect_4:mem_s1_writedata -> mem:writedata
	wire          mm_interconnect_4_mem_s1_clken;                                 // mm_interconnect_4:mem_s1_clken -> mem:clken
	wire          rst_controller_reset_out_reset;                                 // rst_controller:reset_out -> [BAR_INTERPRETER:Rstn_i, DMA_CONTROLLER:Rstn_i, mem:reset, pio_button:reset_n, pio_led:reset_n, rst_translator:in_reset]
	wire          rst_controller_reset_out_reset_req;                             // rst_controller:reset_req -> [mem:reset_req, rst_translator:reset_req_in]
	wire          dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy;             // [] -> dut:p0_pld_warm_rst_rdy_i

	pcie_ed_BAR_INTERPRETER bar_interpreter (
		.Clk_i                       (dut_p0_app_clk_clk),                                             //   input,    width = 1,         clk.clk
		.Rstn_i                      (~rst_controller_reset_out_reset),                                //   input,    width = 1,       reset.reset_n
		.bri_s_address_i             (mm_interconnect_2_bar_interpreter_bri_slave_address),            //   input,   width = 24,   bri_slave.address
		.bri_s_byteenable_i          (mm_interconnect_2_bar_interpreter_bri_slave_byteenable),         //   input,   width = 64,            .byteenable
		.bri_s_read_i                (mm_interconnect_2_bar_interpreter_bri_slave_read),               //   input,    width = 1,            .read
		.bri_s_readdata_o            (mm_interconnect_2_bar_interpreter_bri_slave_readdata),           //  output,  width = 512,            .readdata
		.bri_s_readdatavalid_o       (mm_interconnect_2_bar_interpreter_bri_slave_readdatavalid),      //  output,    width = 1,            .readdatavalid
		.bri_s_write_i               (mm_interconnect_2_bar_interpreter_bri_slave_write),              //   input,    width = 1,            .write
		.bri_s_writedata_i           (mm_interconnect_2_bar_interpreter_bri_slave_writedata),          //   input,  width = 512,            .writedata
		.bri_s_burstcount_i          (mm_interconnect_2_bar_interpreter_bri_slave_burstcount),         //   input,    width = 4,            .burstcount
		.bri_s_waitrequest_o         (mm_interconnect_2_bar_interpreter_bri_slave_waitrequest),        //  output,    width = 1,            .waitrequest
		.bri_s_response_o            (mm_interconnect_2_bar_interpreter_bri_slave_response),           //  output,    width = 2,            .response
		.bri_s_writeresponse_valid_o (mm_interconnect_2_bar_interpreter_bri_slave_writeresponsevalid), //  output,    width = 1,            .writeresponsevalid
		.bri_m_address_o             (bar_interpreter_bri_master_address),                             //  output,   width = 28,  bri_master.address
		.bri_m_read_o                (bar_interpreter_bri_master_read),                                //  output,    width = 1,            .read
		.bri_m_readdata_i            (bar_interpreter_bri_master_readdata),                            //   input,  width = 512,            .readdata
		.bri_m_readdatavalid_i       (bar_interpreter_bri_master_readdatavalid),                       //   input,    width = 1,            .readdatavalid
		.bri_m_write_o               (bar_interpreter_bri_master_write),                               //  output,    width = 1,            .write
		.bri_m_writedata_o           (bar_interpreter_bri_master_writedata),                           //  output,  width = 512,            .writedata
		.bri_m_waitrequest_i         (bar_interpreter_bri_master_waitrequest),                         //   input,    width = 1,            .waitrequest
		.bri_m_byteenable_o          (bar_interpreter_bri_master_byteenable),                          //  output,   width = 64,            .byteenable
		.bri_m_response_i            (bar_interpreter_bri_master_response),                            //   input,    width = 2,            .response
		.bri_m_burstcount_o          (bar_interpreter_bri_master_burstcount),                          //  output,    width = 4,            .burstcount
		.bri_s_bar_i                 (dut_p0_bam_conduit_barnum),                                      //   input,    width = 3, bri_conduit.barnum
		.bri_s_pfnum_i               (dut_p0_bam_conduit_pfnum)                                        //   input,    width = 2,            .pfnum
	);

	pcie_ed_DMA_CONTROLLER dma_controller (
		.Clk_i                      (dut_p0_app_clk_clk),                                            //   input,    width = 1,            clk.clk
		.Rstn_i                     (~rst_controller_reset_out_reset),                               //   input,    width = 1,          reset.reset_n
		.dma_s_address_i            (mm_interconnect_0_dma_controller_dma_slave_address),            //   input,   width = 12,      dma_slave.address
		.dma_s_read_i               (mm_interconnect_0_dma_controller_dma_slave_read),               //   input,    width = 1,               .read
		.dma_s_readdata_o           (mm_interconnect_0_dma_controller_dma_slave_readdata),           //  output,  width = 512,               .readdata
		.dma_s_readdatavalid_o      (mm_interconnect_0_dma_controller_dma_slave_readdatavalid),      //  output,    width = 1,               .readdatavalid
		.dma_s_write_i              (mm_interconnect_0_dma_controller_dma_slave_write),              //   input,    width = 1,               .write
		.dma_s_writedata_i          (mm_interconnect_0_dma_controller_dma_slave_writedata),          //   input,  width = 512,               .writedata
		.dma_s_waitrequest_o        (mm_interconnect_0_dma_controller_dma_slave_waitrequest),        //  output,    width = 1,               .waitrequest
		.dma_s_byteenable_i         (mm_interconnect_0_dma_controller_dma_slave_byteenable),         //   input,   width = 64,               .byteenable
		.dma_s_response_o           (mm_interconnect_0_dma_controller_dma_slave_response),           //  output,    width = 2,               .response
		.dma_s_burstcount_i         (mm_interconnect_0_dma_controller_dma_slave_burstcount),         //   input,    width = 4,               .burstcount
		.msix_table_address_i       (mm_interconnect_0_dma_controller_dma_msix_slave_address),       //   input,   width = 12, dma_msix_slave.address
		.msix_table_read_i          (mm_interconnect_0_dma_controller_dma_msix_slave_read),          //   input,    width = 1,               .read
		.msix_table_readdata_o      (mm_interconnect_0_dma_controller_dma_msix_slave_readdata),      //  output,  width = 512,               .readdata
		.msix_table_readdatavalid_o (mm_interconnect_0_dma_controller_dma_msix_slave_readdatavalid), //  output,    width = 1,               .readdatavalid
		.msix_table_write_i         (mm_interconnect_0_dma_controller_dma_msix_slave_write),         //   input,    width = 1,               .write
		.msix_table_writedata_i     (mm_interconnect_0_dma_controller_dma_msix_slave_writedata),     //   input,  width = 512,               .writedata
		.msix_table_waitrequest_o   (mm_interconnect_0_dma_controller_dma_msix_slave_waitrequest),   //  output,    width = 1,               .waitrequest
		.msix_table_byteenable_i    (mm_interconnect_0_dma_controller_dma_msix_slave_byteenable),    //   input,   width = 64,               .byteenable
		.msix_table_burstcount_i    (mm_interconnect_0_dma_controller_dma_msix_slave_burstcount),    //   input,    width = 4,               .burstcount
		.dma_wrdm_pfnum_i           (dut_p0_wrdm_conduit_pfnum),                                     //   input,    width = 2,   wrdm_conduit.pfnum
		.dma_wrdm_desc_ready_i      (dma_controller_wrdm_desc_ready),                                //   input,    width = 1,      wrdm_desc.ready
		.dma_wrdm_desc_valid_o      (dma_controller_wrdm_desc_valid),                                //  output,    width = 1,               .valid
		.dma_wrdm_desc_data_o       (dma_controller_wrdm_desc_data),                                 //  output,  width = 174,               .data
		.dma_wrdm_prio_ready_i      (dma_controller_wrdm_prio_ready),                                //   input,    width = 1,      wrdm_prio.ready
		.dma_wrdm_prio_valid_o      (dma_controller_wrdm_prio_valid),                                //  output,    width = 1,               .valid
		.dma_wrdm_prio_data_o       (dma_controller_wrdm_prio_data),                                 //  output,  width = 174,               .data
		.dma_wrdm_tx_valid_i        (dut_p0_wrdm_tx_valid),                                          //   input,    width = 1,        wrdm_tx.valid
		.dma_wrdm_tx_data_i         (dut_p0_wrdm_tx_data),                                           //   input,   width = 32,               .data
		.dma_rddm_pfnum_i           (dut_p0_rddm_conduit_pfnum),                                     //   input,    width = 2,   rddm_conduit.pfnum
		.dma_rddm_desc_ready_i      (dma_controller_rddm_desc_ready),                                //   input,    width = 1,      rddm_desc.ready
		.dma_rddm_desc_valid_o      (dma_controller_rddm_desc_valid),                                //  output,    width = 1,               .valid
		.dma_rddm_desc_data_o       (dma_controller_rddm_desc_data),                                 //  output,  width = 174,               .data
		.dma_rddm_prio_ready_i      (dma_controller_rddm_prio_ready),                                //   input,    width = 1,      rddm_prio.ready
		.dma_rddm_prio_valid_o      (dma_controller_rddm_prio_valid),                                //  output,    width = 1,               .valid
		.dma_rddm_prio_data_o       (dma_controller_rddm_prio_data),                                 //  output,  width = 174,               .data
		.dma_rddm_tx_valid_i        (dut_p0_rddm_tx_valid),                                          //   input,    width = 1,        rddm_tx.valid
		.dma_rddm_tx_data_i         (dut_p0_rddm_tx_data)                                            //   input,   width = 32,               .data
	);

	pcie_ed_dut dut (
		.p0_pld_link_req_rst_o   (),                                                   //  output,    width = 1,             p0_link_req_rst_n.link_req_rst_n
		.p0_msi_pnd_func_i       (),                                                   //   input,    width = 3,                        p0_msi.msi_pnd_func
		.p0_msi_pnd_byte_i       (),                                                   //   input,    width = 8,                              .msi_pnd_byte
		.p0_msi_pnd_addr_i       (),                                                   //   input,    width = 2,                              .msi_pnd_addr
		.rx_n_in0                (hip_serial_rx_n_in0),                                //   input,    width = 1,                    hip_serial.rx_n_in0
		.rx_n_in1                (hip_serial_rx_n_in1),                                //   input,    width = 1,                              .rx_n_in1
		.rx_n_in2                (hip_serial_rx_n_in2),                                //   input,    width = 1,                              .rx_n_in2
		.rx_n_in3                (hip_serial_rx_n_in3),                                //   input,    width = 1,                              .rx_n_in3
		.rx_n_in4                (hip_serial_rx_n_in4),                                //   input,    width = 1,                              .rx_n_in4
		.rx_n_in5                (hip_serial_rx_n_in5),                                //   input,    width = 1,                              .rx_n_in5
		.rx_n_in6                (hip_serial_rx_n_in6),                                //   input,    width = 1,                              .rx_n_in6
		.rx_n_in7                (hip_serial_rx_n_in7),                                //   input,    width = 1,                              .rx_n_in7
		.rx_n_in8                (hip_serial_rx_n_in8),                                //   input,    width = 1,                              .rx_n_in8
		.rx_n_in9                (hip_serial_rx_n_in9),                                //   input,    width = 1,                              .rx_n_in9
		.rx_n_in10               (hip_serial_rx_n_in10),                               //   input,    width = 1,                              .rx_n_in10
		.rx_n_in11               (hip_serial_rx_n_in11),                               //   input,    width = 1,                              .rx_n_in11
		.rx_n_in12               (hip_serial_rx_n_in12),                               //   input,    width = 1,                              .rx_n_in12
		.rx_n_in13               (hip_serial_rx_n_in13),                               //   input,    width = 1,                              .rx_n_in13
		.rx_n_in14               (hip_serial_rx_n_in14),                               //   input,    width = 1,                              .rx_n_in14
		.rx_n_in15               (hip_serial_rx_n_in15),                               //   input,    width = 1,                              .rx_n_in15
		.rx_p_in0                (hip_serial_rx_p_in0),                                //   input,    width = 1,                              .rx_p_in0
		.rx_p_in1                (hip_serial_rx_p_in1),                                //   input,    width = 1,                              .rx_p_in1
		.rx_p_in2                (hip_serial_rx_p_in2),                                //   input,    width = 1,                              .rx_p_in2
		.rx_p_in3                (hip_serial_rx_p_in3),                                //   input,    width = 1,                              .rx_p_in3
		.rx_p_in4                (hip_serial_rx_p_in4),                                //   input,    width = 1,                              .rx_p_in4
		.rx_p_in5                (hip_serial_rx_p_in5),                                //   input,    width = 1,                              .rx_p_in5
		.rx_p_in6                (hip_serial_rx_p_in6),                                //   input,    width = 1,                              .rx_p_in6
		.rx_p_in7                (hip_serial_rx_p_in7),                                //   input,    width = 1,                              .rx_p_in7
		.rx_p_in8                (hip_serial_rx_p_in8),                                //   input,    width = 1,                              .rx_p_in8
		.rx_p_in9                (hip_serial_rx_p_in9),                                //   input,    width = 1,                              .rx_p_in9
		.rx_p_in10               (hip_serial_rx_p_in10),                               //   input,    width = 1,                              .rx_p_in10
		.rx_p_in11               (hip_serial_rx_p_in11),                               //   input,    width = 1,                              .rx_p_in11
		.rx_p_in12               (hip_serial_rx_p_in12),                               //   input,    width = 1,                              .rx_p_in12
		.rx_p_in13               (hip_serial_rx_p_in13),                               //   input,    width = 1,                              .rx_p_in13
		.rx_p_in14               (hip_serial_rx_p_in14),                               //   input,    width = 1,                              .rx_p_in14
		.rx_p_in15               (hip_serial_rx_p_in15),                               //   input,    width = 1,                              .rx_p_in15
		.tx_n_out0               (hip_serial_tx_n_out0),                               //  output,    width = 1,                              .tx_n_out0
		.tx_n_out1               (hip_serial_tx_n_out1),                               //  output,    width = 1,                              .tx_n_out1
		.tx_n_out2               (hip_serial_tx_n_out2),                               //  output,    width = 1,                              .tx_n_out2
		.tx_n_out3               (hip_serial_tx_n_out3),                               //  output,    width = 1,                              .tx_n_out3
		.tx_n_out4               (hip_serial_tx_n_out4),                               //  output,    width = 1,                              .tx_n_out4
		.tx_n_out5               (hip_serial_tx_n_out5),                               //  output,    width = 1,                              .tx_n_out5
		.tx_n_out6               (hip_serial_tx_n_out6),                               //  output,    width = 1,                              .tx_n_out6
		.tx_n_out7               (hip_serial_tx_n_out7),                               //  output,    width = 1,                              .tx_n_out7
		.tx_n_out8               (hip_serial_tx_n_out8),                               //  output,    width = 1,                              .tx_n_out8
		.tx_n_out9               (hip_serial_tx_n_out9),                               //  output,    width = 1,                              .tx_n_out9
		.tx_n_out10              (hip_serial_tx_n_out10),                              //  output,    width = 1,                              .tx_n_out10
		.tx_n_out11              (hip_serial_tx_n_out11),                              //  output,    width = 1,                              .tx_n_out11
		.tx_n_out12              (hip_serial_tx_n_out12),                              //  output,    width = 1,                              .tx_n_out12
		.tx_n_out13              (hip_serial_tx_n_out13),                              //  output,    width = 1,                              .tx_n_out13
		.tx_n_out14              (hip_serial_tx_n_out14),                              //  output,    width = 1,                              .tx_n_out14
		.tx_n_out15              (hip_serial_tx_n_out15),                              //  output,    width = 1,                              .tx_n_out15
		.tx_p_out0               (hip_serial_tx_p_out0),                               //  output,    width = 1,                              .tx_p_out0
		.tx_p_out1               (hip_serial_tx_p_out1),                               //  output,    width = 1,                              .tx_p_out1
		.tx_p_out2               (hip_serial_tx_p_out2),                               //  output,    width = 1,                              .tx_p_out2
		.tx_p_out3               (hip_serial_tx_p_out3),                               //  output,    width = 1,                              .tx_p_out3
		.tx_p_out4               (hip_serial_tx_p_out4),                               //  output,    width = 1,                              .tx_p_out4
		.tx_p_out5               (hip_serial_tx_p_out5),                               //  output,    width = 1,                              .tx_p_out5
		.tx_p_out6               (hip_serial_tx_p_out6),                               //  output,    width = 1,                              .tx_p_out6
		.tx_p_out7               (hip_serial_tx_p_out7),                               //  output,    width = 1,                              .tx_p_out7
		.tx_p_out8               (hip_serial_tx_p_out8),                               //  output,    width = 1,                              .tx_p_out8
		.tx_p_out9               (hip_serial_tx_p_out9),                               //  output,    width = 1,                              .tx_p_out9
		.tx_p_out10              (hip_serial_tx_p_out10),                              //  output,    width = 1,                              .tx_p_out10
		.tx_p_out11              (hip_serial_tx_p_out11),                              //  output,    width = 1,                              .tx_p_out11
		.tx_p_out12              (hip_serial_tx_p_out12),                              //  output,    width = 1,                              .tx_p_out12
		.tx_p_out13              (hip_serial_tx_p_out13),                              //  output,    width = 1,                              .tx_p_out13
		.tx_p_out14              (hip_serial_tx_p_out14),                              //  output,    width = 1,                              .tx_p_out14
		.tx_p_out15              (hip_serial_tx_p_out15),                              //  output,    width = 1,                              .tx_p_out15
		.coreclkout_hip          (),                                                   //  output,    width = 1,                coreclkout_hip.clk
		.refclk0                 (refclk0_clk),                                        //   input,    width = 1,                       refclk0.clk
		.refclk1                 (refclk1_clk),                                        //   input,    width = 1,                       refclk1.clk
		.pin_perst_n             (pin_perst_pin_perst),                                //   input,    width = 1,                     pin_perst.pin_perst
		.ninit_done              (resetip_ninit_done_ninit_done),                      //   input,    width = 1,                    ninit_done.ninit_done
		.p0_app_clk              (dut_p0_app_clk_clk),                                 //  output,    width = 1,                    p0_app_clk.clk
		.p0_reset_status_n       (dut_p0_app_reset_status_n_reset),                    //  output,    width = 1,         p0_app_reset_status_n.reset_n
		.p0_tl_cfg_func_o        (),                                                   //  output,    width = 3,                p0_config_tl_o.tl_cfg_func
		.p0_tl_cfg_add_o         (),                                                   //  output,    width = 5,                              .tl_cfg_add
		.p0_tl_cfg_ctl_o         (),                                                   //  output,   width = 16,                              .tl_cfg_ctl
		.p0_wrdm_pfnum_o         (dut_p0_wrdm_conduit_pfnum),                          //  output,    width = 2,               p0_wrdm_conduit.pfnum
		.p0_wrdm_waitrequest_i   (dut_p0_wrdm_master_waitrequest),                     //   input,    width = 1,                p0_wrdm_master.waitrequest
		.p0_wrdm_read_o          (dut_p0_wrdm_master_read),                            //  output,    width = 1,                              .read
		.p0_wrdm_address_o       (dut_p0_wrdm_master_address),                         //  output,   width = 64,                              .address
		.p0_wrdm_burstcount_o    (dut_p0_wrdm_master_burstcount),                      //  output,    width = 4,                              .burstcount
		.p0_wrdm_byteenable_o    (dut_p0_wrdm_master_byteenable),                      //  output,   width = 64,                              .byteenable
		.p0_wrdm_readdatavalid_i (dut_p0_wrdm_master_readdatavalid),                   //   input,    width = 1,                              .readdatavalid
		.p0_wrdm_readdata_i      (dut_p0_wrdm_master_readdata),                        //   input,  width = 512,                              .readdata
		.p0_wrdm_response_i      (dut_p0_wrdm_master_response),                        //   input,    width = 2,                              .response
		.p0_wrdm_desc_ready_o    (dma_controller_wrdm_desc_ready),                     //  output,    width = 1,                  p0_wrdm_desc.ready
		.p0_wrdm_desc_valid_i    (dma_controller_wrdm_desc_valid),                     //   input,    width = 1,                              .valid
		.p0_wrdm_desc_data_i     (dma_controller_wrdm_desc_data),                      //   input,  width = 174,                              .data
		.p0_wrdm_prio_ready_o    (dma_controller_wrdm_prio_ready),                     //  output,    width = 1,                  p0_wrdm_prio.ready
		.p0_wrdm_prio_valid_i    (dma_controller_wrdm_prio_valid),                     //   input,    width = 1,                              .valid
		.p0_wrdm_prio_data_i     (dma_controller_wrdm_prio_data),                      //   input,  width = 174,                              .data
		.p0_wrdm_tx_valid_o      (dut_p0_wrdm_tx_valid),                               //  output,    width = 1,                    p0_wrdm_tx.valid
		.p0_wrdm_tx_data_o       (dut_p0_wrdm_tx_data),                                //  output,   width = 32,                              .data
		.p0_rddm_pfnum_o         (dut_p0_rddm_conduit_pfnum),                          //  output,    width = 2,               p0_rddm_conduit.pfnum
		.p0_rddm_waitrequest_i   (dut_p0_rddm_master_waitrequest),                     //   input,    width = 1,                p0_rddm_master.waitrequest
		.p0_rddm_write_o         (dut_p0_rddm_master_write),                           //  output,    width = 1,                              .write
		.p0_rddm_address_o       (dut_p0_rddm_master_address),                         //  output,   width = 64,                              .address
		.p0_rddm_burstcount_o    (dut_p0_rddm_master_burstcount),                      //  output,    width = 4,                              .burstcount
		.p0_rddm_byteenable_o    (dut_p0_rddm_master_byteenable),                      //  output,   width = 64,                              .byteenable
		.p0_rddm_writedata_o     (dut_p0_rddm_master_writedata),                       //  output,  width = 512,                              .writedata
		.p0_rddm_desc_ready_o    (dma_controller_rddm_desc_ready),                     //  output,    width = 1,                  p0_rddm_desc.ready
		.p0_rddm_desc_valid_i    (dma_controller_rddm_desc_valid),                     //   input,    width = 1,                              .valid
		.p0_rddm_desc_data_i     (dma_controller_rddm_desc_data),                      //   input,  width = 174,                              .data
		.p0_rddm_prio_ready_o    (dma_controller_rddm_prio_ready),                     //  output,    width = 1,                  p0_rddm_prio.ready
		.p0_rddm_prio_valid_i    (dma_controller_rddm_prio_valid),                     //   input,    width = 1,                              .valid
		.p0_rddm_prio_data_i     (dma_controller_rddm_prio_data),                      //   input,  width = 174,                              .data
		.p0_rddm_tx_valid_o      (dut_p0_rddm_tx_valid),                               //  output,    width = 1,                    p0_rddm_tx.valid
		.p0_rddm_tx_data_o       (dut_p0_rddm_tx_data),                                //  output,   width = 32,                              .data
		.p0_bam_pfnum_o          (dut_p0_bam_conduit_pfnum),                           //  output,    width = 2,                p0_bam_conduit.pfnum
		.p0_bam_bar_o            (dut_p0_bam_conduit_barnum),                          //  output,    width = 3,                              .barnum
		.p0_bam_waitrequest_i    (dut_p0_bam_master_waitrequest),                      //   input,    width = 1,                 p0_bam_master.waitrequest
		.p0_bam_address_o        (dut_p0_bam_master_address),                          //  output,   width = 64,                              .address
		.p0_bam_byteenable_o     (dut_p0_bam_master_byteenable),                       //  output,   width = 64,                              .byteenable
		.p0_bam_read_o           (dut_p0_bam_master_read),                             //  output,    width = 1,                              .read
		.p0_bam_readdata_i       (dut_p0_bam_master_readdata),                         //   input,  width = 512,                              .readdata
		.p0_bam_readdatavalid_i  (dut_p0_bam_master_readdatavalid),                    //   input,    width = 1,                              .readdatavalid
		.p0_bam_write_o          (dut_p0_bam_master_write),                            //  output,    width = 1,                              .write
		.p0_bam_writedata_o      (dut_p0_bam_master_writedata),                        //  output,  width = 512,                              .writedata
		.p0_bam_burstcount_o     (dut_p0_bam_master_burstcount),                       //  output,    width = 4,                              .burstcount
		.p0_bam_response_i       (dut_p0_bam_master_response),                         //   input,    width = 2,                              .response
		.p0_bus_master_enable_o  (),                                                   //  output,    width = 2,             p0_bus_master_ena.bus_master_enable
		.p0_pld_warm_rst_rdy_i   (dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy)  //   input,    width = 1, p0_pld_warm_rst_rdy_wirelevel.pld_warm_rst_rdy
	);

	onchip_memory2 mem (
		.address     (mm_interconnect_4_mem_s1_address),    //   input,   width = 13,     s1.address
		.clken       (mm_interconnect_4_mem_s1_clken),      //   input,    width = 1,       .clken
		.chipselect  (mm_interconnect_4_mem_s1_chipselect), //   input,    width = 1,       .chipselect
		.write       (mm_interconnect_4_mem_s1_write),      //   input,    width = 1,       .write
		.readdata    (mm_interconnect_4_mem_s1_readdata),   //  output,  width = 512,       .readdata
		.writedata   (mm_interconnect_4_mem_s1_writedata),  //   input,  width = 512,       .writedata
		.byteenable  (mm_interconnect_4_mem_s1_byteenable), //   input,   width = 64,       .byteenable
		.address2    (mm_interconnect_1_mem_s2_address),    //   input,   width = 13,     s2.address
		.chipselect2 (mm_interconnect_1_mem_s2_chipselect), //   input,    width = 1,       .chipselect
		.clken2      (mm_interconnect_1_mem_s2_clken),      //   input,    width = 1,       .clken
		.write2      (mm_interconnect_1_mem_s2_write),      //   input,    width = 1,       .write
		.readdata2   (mm_interconnect_1_mem_s2_readdata),   //  output,  width = 512,       .readdata
		.writedata2  (mm_interconnect_1_mem_s2_writedata),  //   input,  width = 512,       .writedata
		.byteenable2 (mm_interconnect_1_mem_s2_byteenable), //   input,   width = 64,       .byteenable
		.clk         (dut_p0_app_clk_clk),                  //   input,    width = 1,   clk1.clk
		.reset       (rst_controller_reset_out_reset),      //   input,    width = 1, reset1.reset
		.reset_req   (rst_controller_reset_out_reset_req)   //   input,    width = 1,       .reset_req
	);

	mm_bridge_bar4 mm_bridge_bar4 (
		.clk              (dut_p0_app_clk_clk),                                //   input,    width = 1,   clk.clk
		.reset            (~dut_p0_app_reset_status_n_reset),                  //   input,    width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_bridge_bar4_s0_waitrequest),   //  output,    width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_bridge_bar4_s0_readdata),      //  output,  width = 512,      .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid), //  output,    width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_bridge_bar4_s0_burstcount),    //   input,    width = 4,      .burstcount
		.s0_writedata     (mm_interconnect_0_mm_bridge_bar4_s0_writedata),     //   input,  width = 512,      .writedata
		.s0_address       (mm_interconnect_0_mm_bridge_bar4_s0_address),       //   input,   width = 24,      .address
		.s0_write         (mm_interconnect_0_mm_bridge_bar4_s0_write),         //   input,    width = 1,      .write
		.s0_read          (mm_interconnect_0_mm_bridge_bar4_s0_read),          //   input,    width = 1,      .read
		.s0_byteenable    (mm_interconnect_0_mm_bridge_bar4_s0_byteenable),    //   input,   width = 64,      .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_bridge_bar4_s0_debugaccess),   //   input,    width = 1,      .debugaccess
		.m0_waitrequest   (mm_bridge_bar4_m0_waitrequest),                     //   input,    width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_bar4_m0_readdata),                        //   input,  width = 512,      .readdata
		.m0_readdatavalid (mm_bridge_bar4_m0_readdatavalid),                   //   input,    width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_bar4_m0_burstcount),                      //  output,    width = 4,      .burstcount
		.m0_writedata     (mm_bridge_bar4_m0_writedata),                       //  output,  width = 512,      .writedata
		.m0_address       (mm_bridge_bar4_m0_address),                         //  output,   width = 24,      .address
		.m0_write         (mm_bridge_bar4_m0_write),                           //  output,    width = 1,      .write
		.m0_read          (mm_bridge_bar4_m0_read),                            //  output,    width = 1,      .read
		.m0_byteenable    (mm_bridge_bar4_m0_byteenable),                      //  output,   width = 64,      .byteenable
		.m0_debugaccess   (mm_bridge_bar4_m0_debugaccess)                      //  output,    width = 1,      .debugaccess
	);

	mm_bridge_dma_controller mm_bridge_dma_controller (
		.clk              (dut_p0_app_clk_clk),                                          //   input,    width = 1,   clk.clk
		.reset            (~dut_p0_app_reset_status_n_reset),                            //   input,    width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_3_mm_bridge_dma_controller_s0_waitrequest),   //  output,    width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_3_mm_bridge_dma_controller_s0_readdata),      //  output,  width = 512,      .readdata
		.s0_readdatavalid (mm_interconnect_3_mm_bridge_dma_controller_s0_readdatavalid), //  output,    width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_3_mm_bridge_dma_controller_s0_burstcount),    //   input,    width = 4,      .burstcount
		.s0_writedata     (mm_interconnect_3_mm_bridge_dma_controller_s0_writedata),     //   input,  width = 512,      .writedata
		.s0_address       (mm_interconnect_3_mm_bridge_dma_controller_s0_address),       //   input,   width = 12,      .address
		.s0_write         (mm_interconnect_3_mm_bridge_dma_controller_s0_write),         //   input,    width = 1,      .write
		.s0_read          (mm_interconnect_3_mm_bridge_dma_controller_s0_read),          //   input,    width = 1,      .read
		.s0_byteenable    (mm_interconnect_3_mm_bridge_dma_controller_s0_byteenable),    //   input,   width = 64,      .byteenable
		.s0_debugaccess   (mm_interconnect_3_mm_bridge_dma_controller_s0_debugaccess),   //   input,    width = 1,      .debugaccess
		.m0_waitrequest   (mm_bridge_dma_controller_m0_waitrequest),                     //   input,    width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_dma_controller_m0_readdata),                        //   input,  width = 512,      .readdata
		.m0_readdatavalid (mm_bridge_dma_controller_m0_readdatavalid),                   //   input,    width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_dma_controller_m0_burstcount),                      //  output,    width = 4,      .burstcount
		.m0_writedata     (mm_bridge_dma_controller_m0_writedata),                       //  output,  width = 512,      .writedata
		.m0_address       (mm_bridge_dma_controller_m0_address),                         //  output,   width = 12,      .address
		.m0_write         (mm_bridge_dma_controller_m0_write),                           //  output,    width = 1,      .write
		.m0_read          (mm_bridge_dma_controller_m0_read),                            //  output,    width = 1,      .read
		.m0_byteenable    (mm_bridge_dma_controller_m0_byteenable),                      //  output,   width = 64,      .byteenable
		.m0_debugaccess   (mm_bridge_dma_controller_m0_debugaccess)                      //  output,    width = 1,      .debugaccess
	);

	mm_bridge_onchip_mem mm_bridge_onchip_mem (
		.clk              (dut_p0_app_clk_clk),                                      //   input,    width = 1,   clk.clk
		.reset            (~dut_p0_app_reset_status_n_reset),                        //   input,    width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_3_mm_bridge_onchip_mem_s0_waitrequest),   //  output,    width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_3_mm_bridge_onchip_mem_s0_readdata),      //  output,  width = 512,      .readdata
		.s0_readdatavalid (mm_interconnect_3_mm_bridge_onchip_mem_s0_readdatavalid), //  output,    width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_3_mm_bridge_onchip_mem_s0_burstcount),    //   input,    width = 4,      .burstcount
		.s0_writedata     (mm_interconnect_3_mm_bridge_onchip_mem_s0_writedata),     //   input,  width = 512,      .writedata
		.s0_address       (mm_interconnect_3_mm_bridge_onchip_mem_s0_address),       //   input,   width = 19,      .address
		.s0_write         (mm_interconnect_3_mm_bridge_onchip_mem_s0_write),         //   input,    width = 1,      .write
		.s0_read          (mm_interconnect_3_mm_bridge_onchip_mem_s0_read),          //   input,    width = 1,      .read
		.s0_byteenable    (mm_interconnect_3_mm_bridge_onchip_mem_s0_byteenable),    //   input,   width = 64,      .byteenable
		.s0_debugaccess   (mm_interconnect_3_mm_bridge_onchip_mem_s0_debugaccess),   //   input,    width = 1,      .debugaccess
		.m0_waitrequest   (mm_bridge_onchip_mem_m0_waitrequest),                     //   input,    width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_onchip_mem_m0_readdata),                        //   input,  width = 512,      .readdata
		.m0_readdatavalid (mm_bridge_onchip_mem_m0_readdatavalid),                   //   input,    width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_onchip_mem_m0_burstcount),                      //  output,    width = 4,      .burstcount
		.m0_writedata     (mm_bridge_onchip_mem_m0_writedata),                       //  output,  width = 512,      .writedata
		.m0_address       (mm_bridge_onchip_mem_m0_address),                         //  output,   width = 19,      .address
		.m0_write         (mm_bridge_onchip_mem_m0_write),                           //  output,    width = 1,      .write
		.m0_read          (mm_bridge_onchip_mem_m0_read),                            //  output,    width = 1,      .read
		.m0_byteenable    (mm_bridge_onchip_mem_m0_byteenable),                      //  output,   width = 64,      .byteenable
		.m0_debugaccess   (mm_bridge_onchip_mem_m0_debugaccess)                      //  output,    width = 1,      .debugaccess
	);

	pio_button pio_button (
		.clk      (dut_p0_app_clk_clk),                       //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_pio_button_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_pio_button_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pio_button_export)                         //   input,   width = 2, external_connection.export
	);

	pio_led pio_led (
		.clk        (dut_p0_app_clk_clk),                      //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_1_pio_led_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_1_pio_led_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_1_pio_led_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_1_pio_led_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_1_pio_led_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (pio_led_export)                           //  output,   width = 2, external_connection.export
	);

	pcie_ed_resetIP resetip (
		.ninit_done (resetip_ninit_done_ninit_done)  //  output,  width = 1, ninit_done.ninit_done
	);

	pcie_ed_altera_mm_interconnect_1920_3gtwkai mm_interconnect_0 (
		.BAR_INTERPRETER_bri_master_address                         (bar_interpreter_bri_master_address),                            //   input,   width = 28,                           BAR_INTERPRETER_bri_master.address
		.BAR_INTERPRETER_bri_master_waitrequest                     (bar_interpreter_bri_master_waitrequest),                        //  output,    width = 1,                                                     .waitrequest
		.BAR_INTERPRETER_bri_master_burstcount                      (bar_interpreter_bri_master_burstcount),                         //   input,    width = 4,                                                     .burstcount
		.BAR_INTERPRETER_bri_master_byteenable                      (bar_interpreter_bri_master_byteenable),                         //   input,   width = 64,                                                     .byteenable
		.BAR_INTERPRETER_bri_master_read                            (bar_interpreter_bri_master_read),                               //   input,    width = 1,                                                     .read
		.BAR_INTERPRETER_bri_master_readdata                        (bar_interpreter_bri_master_readdata),                           //  output,  width = 512,                                                     .readdata
		.BAR_INTERPRETER_bri_master_readdatavalid                   (bar_interpreter_bri_master_readdatavalid),                      //  output,    width = 1,                                                     .readdatavalid
		.BAR_INTERPRETER_bri_master_write                           (bar_interpreter_bri_master_write),                              //   input,    width = 1,                                                     .write
		.BAR_INTERPRETER_bri_master_writedata                       (bar_interpreter_bri_master_writedata),                          //   input,  width = 512,                                                     .writedata
		.BAR_INTERPRETER_bri_master_response                        (bar_interpreter_bri_master_response),                           //  output,    width = 2,                                                     .response
		.mm_bridge_dma_controller_m0_address                        (mm_bridge_dma_controller_m0_address),                           //   input,   width = 12,                          mm_bridge_dma_controller_m0.address
		.mm_bridge_dma_controller_m0_waitrequest                    (mm_bridge_dma_controller_m0_waitrequest),                       //  output,    width = 1,                                                     .waitrequest
		.mm_bridge_dma_controller_m0_burstcount                     (mm_bridge_dma_controller_m0_burstcount),                        //   input,    width = 4,                                                     .burstcount
		.mm_bridge_dma_controller_m0_byteenable                     (mm_bridge_dma_controller_m0_byteenable),                        //   input,   width = 64,                                                     .byteenable
		.mm_bridge_dma_controller_m0_read                           (mm_bridge_dma_controller_m0_read),                              //   input,    width = 1,                                                     .read
		.mm_bridge_dma_controller_m0_readdata                       (mm_bridge_dma_controller_m0_readdata),                          //  output,  width = 512,                                                     .readdata
		.mm_bridge_dma_controller_m0_readdatavalid                  (mm_bridge_dma_controller_m0_readdatavalid),                     //  output,    width = 1,                                                     .readdatavalid
		.mm_bridge_dma_controller_m0_write                          (mm_bridge_dma_controller_m0_write),                             //   input,    width = 1,                                                     .write
		.mm_bridge_dma_controller_m0_writedata                      (mm_bridge_dma_controller_m0_writedata),                         //   input,  width = 512,                                                     .writedata
		.mm_bridge_dma_controller_m0_debugaccess                    (mm_bridge_dma_controller_m0_debugaccess),                       //   input,    width = 1,                                                     .debugaccess
		.DMA_CONTROLLER_dma_msix_slave_address                      (mm_interconnect_0_dma_controller_dma_msix_slave_address),       //  output,   width = 12,                        DMA_CONTROLLER_dma_msix_slave.address
		.DMA_CONTROLLER_dma_msix_slave_write                        (mm_interconnect_0_dma_controller_dma_msix_slave_write),         //  output,    width = 1,                                                     .write
		.DMA_CONTROLLER_dma_msix_slave_read                         (mm_interconnect_0_dma_controller_dma_msix_slave_read),          //  output,    width = 1,                                                     .read
		.DMA_CONTROLLER_dma_msix_slave_readdata                     (mm_interconnect_0_dma_controller_dma_msix_slave_readdata),      //   input,  width = 512,                                                     .readdata
		.DMA_CONTROLLER_dma_msix_slave_writedata                    (mm_interconnect_0_dma_controller_dma_msix_slave_writedata),     //  output,  width = 512,                                                     .writedata
		.DMA_CONTROLLER_dma_msix_slave_burstcount                   (mm_interconnect_0_dma_controller_dma_msix_slave_burstcount),    //  output,    width = 4,                                                     .burstcount
		.DMA_CONTROLLER_dma_msix_slave_byteenable                   (mm_interconnect_0_dma_controller_dma_msix_slave_byteenable),    //  output,   width = 64,                                                     .byteenable
		.DMA_CONTROLLER_dma_msix_slave_readdatavalid                (mm_interconnect_0_dma_controller_dma_msix_slave_readdatavalid), //   input,    width = 1,                                                     .readdatavalid
		.DMA_CONTROLLER_dma_msix_slave_waitrequest                  (mm_interconnect_0_dma_controller_dma_msix_slave_waitrequest),   //   input,    width = 1,                                                     .waitrequest
		.DMA_CONTROLLER_dma_slave_address                           (mm_interconnect_0_dma_controller_dma_slave_address),            //  output,   width = 12,                             DMA_CONTROLLER_dma_slave.address
		.DMA_CONTROLLER_dma_slave_write                             (mm_interconnect_0_dma_controller_dma_slave_write),              //  output,    width = 1,                                                     .write
		.DMA_CONTROLLER_dma_slave_read                              (mm_interconnect_0_dma_controller_dma_slave_read),               //  output,    width = 1,                                                     .read
		.DMA_CONTROLLER_dma_slave_readdata                          (mm_interconnect_0_dma_controller_dma_slave_readdata),           //   input,  width = 512,                                                     .readdata
		.DMA_CONTROLLER_dma_slave_writedata                         (mm_interconnect_0_dma_controller_dma_slave_writedata),          //  output,  width = 512,                                                     .writedata
		.DMA_CONTROLLER_dma_slave_burstcount                        (mm_interconnect_0_dma_controller_dma_slave_burstcount),         //  output,    width = 4,                                                     .burstcount
		.DMA_CONTROLLER_dma_slave_byteenable                        (mm_interconnect_0_dma_controller_dma_slave_byteenable),         //  output,   width = 64,                                                     .byteenable
		.DMA_CONTROLLER_dma_slave_readdatavalid                     (mm_interconnect_0_dma_controller_dma_slave_readdatavalid),      //   input,    width = 1,                                                     .readdatavalid
		.DMA_CONTROLLER_dma_slave_waitrequest                       (mm_interconnect_0_dma_controller_dma_slave_waitrequest),        //   input,    width = 1,                                                     .waitrequest
		.DMA_CONTROLLER_dma_slave_response                          (mm_interconnect_0_dma_controller_dma_slave_response),           //   input,    width = 2,                                                     .response
		.mm_bridge_bar4_s0_address                                  (mm_interconnect_0_mm_bridge_bar4_s0_address),                   //  output,   width = 24,                                    mm_bridge_bar4_s0.address
		.mm_bridge_bar4_s0_write                                    (mm_interconnect_0_mm_bridge_bar4_s0_write),                     //  output,    width = 1,                                                     .write
		.mm_bridge_bar4_s0_read                                     (mm_interconnect_0_mm_bridge_bar4_s0_read),                      //  output,    width = 1,                                                     .read
		.mm_bridge_bar4_s0_readdata                                 (mm_interconnect_0_mm_bridge_bar4_s0_readdata),                  //   input,  width = 512,                                                     .readdata
		.mm_bridge_bar4_s0_writedata                                (mm_interconnect_0_mm_bridge_bar4_s0_writedata),                 //  output,  width = 512,                                                     .writedata
		.mm_bridge_bar4_s0_burstcount                               (mm_interconnect_0_mm_bridge_bar4_s0_burstcount),                //  output,    width = 4,                                                     .burstcount
		.mm_bridge_bar4_s0_byteenable                               (mm_interconnect_0_mm_bridge_bar4_s0_byteenable),                //  output,   width = 64,                                                     .byteenable
		.mm_bridge_bar4_s0_readdatavalid                            (mm_interconnect_0_mm_bridge_bar4_s0_readdatavalid),             //   input,    width = 1,                                                     .readdatavalid
		.mm_bridge_bar4_s0_waitrequest                              (mm_interconnect_0_mm_bridge_bar4_s0_waitrequest),               //   input,    width = 1,                                                     .waitrequest
		.mm_bridge_bar4_s0_debugaccess                              (mm_interconnect_0_mm_bridge_bar4_s0_debugaccess),               //  output,    width = 1,                                                     .debugaccess
		.BAR_INTERPRETER_reset_reset_bridge_in_reset_reset          (~dut_p0_app_reset_status_n_reset),                              //   input,    width = 1,          BAR_INTERPRETER_reset_reset_bridge_in_reset.reset
		.mm_bridge_dma_controller_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                              //   input,    width = 1, mm_bridge_dma_controller_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                         (dut_p0_app_clk_clk)                                             //   input,    width = 1,                                       dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_s2qlgja mm_interconnect_1 (
		.mm_bridge_bar4_m0_address                        (mm_bridge_bar4_m0_address),                //   input,   width = 24,                          mm_bridge_bar4_m0.address
		.mm_bridge_bar4_m0_waitrequest                    (mm_bridge_bar4_m0_waitrequest),            //  output,    width = 1,                                           .waitrequest
		.mm_bridge_bar4_m0_burstcount                     (mm_bridge_bar4_m0_burstcount),             //   input,    width = 4,                                           .burstcount
		.mm_bridge_bar4_m0_byteenable                     (mm_bridge_bar4_m0_byteenable),             //   input,   width = 64,                                           .byteenable
		.mm_bridge_bar4_m0_read                           (mm_bridge_bar4_m0_read),                   //   input,    width = 1,                                           .read
		.mm_bridge_bar4_m0_readdata                       (mm_bridge_bar4_m0_readdata),               //  output,  width = 512,                                           .readdata
		.mm_bridge_bar4_m0_readdatavalid                  (mm_bridge_bar4_m0_readdatavalid),          //  output,    width = 1,                                           .readdatavalid
		.mm_bridge_bar4_m0_write                          (mm_bridge_bar4_m0_write),                  //   input,    width = 1,                                           .write
		.mm_bridge_bar4_m0_writedata                      (mm_bridge_bar4_m0_writedata),              //   input,  width = 512,                                           .writedata
		.mm_bridge_bar4_m0_debugaccess                    (mm_bridge_bar4_m0_debugaccess),            //   input,    width = 1,                                           .debugaccess
		.mm_bridge_onchip_mem_m0_address                  (mm_bridge_onchip_mem_m0_address),          //   input,   width = 19,                    mm_bridge_onchip_mem_m0.address
		.mm_bridge_onchip_mem_m0_waitrequest              (mm_bridge_onchip_mem_m0_waitrequest),      //  output,    width = 1,                                           .waitrequest
		.mm_bridge_onchip_mem_m0_burstcount               (mm_bridge_onchip_mem_m0_burstcount),       //   input,    width = 4,                                           .burstcount
		.mm_bridge_onchip_mem_m0_byteenable               (mm_bridge_onchip_mem_m0_byteenable),       //   input,   width = 64,                                           .byteenable
		.mm_bridge_onchip_mem_m0_read                     (mm_bridge_onchip_mem_m0_read),             //   input,    width = 1,                                           .read
		.mm_bridge_onchip_mem_m0_readdata                 (mm_bridge_onchip_mem_m0_readdata),         //  output,  width = 512,                                           .readdata
		.mm_bridge_onchip_mem_m0_readdatavalid            (mm_bridge_onchip_mem_m0_readdatavalid),    //  output,    width = 1,                                           .readdatavalid
		.mm_bridge_onchip_mem_m0_write                    (mm_bridge_onchip_mem_m0_write),            //   input,    width = 1,                                           .write
		.mm_bridge_onchip_mem_m0_writedata                (mm_bridge_onchip_mem_m0_writedata),        //   input,  width = 512,                                           .writedata
		.mm_bridge_onchip_mem_m0_debugaccess              (mm_bridge_onchip_mem_m0_debugaccess),      //   input,    width = 1,                                           .debugaccess
		.pio_led_s1_address                               (mm_interconnect_1_pio_led_s1_address),     //  output,    width = 2,                                 pio_led_s1.address
		.pio_led_s1_write                                 (mm_interconnect_1_pio_led_s1_write),       //  output,    width = 1,                                           .write
		.pio_led_s1_readdata                              (mm_interconnect_1_pio_led_s1_readdata),    //   input,   width = 32,                                           .readdata
		.pio_led_s1_writedata                             (mm_interconnect_1_pio_led_s1_writedata),   //  output,   width = 32,                                           .writedata
		.pio_led_s1_chipselect                            (mm_interconnect_1_pio_led_s1_chipselect),  //  output,    width = 1,                                           .chipselect
		.pio_button_s1_address                            (mm_interconnect_1_pio_button_s1_address),  //  output,    width = 2,                              pio_button_s1.address
		.pio_button_s1_readdata                           (mm_interconnect_1_pio_button_s1_readdata), //   input,   width = 32,                                           .readdata
		.mem_s2_address                                   (mm_interconnect_1_mem_s2_address),         //  output,   width = 13,                                     mem_s2.address
		.mem_s2_write                                     (mm_interconnect_1_mem_s2_write),           //  output,    width = 1,                                           .write
		.mem_s2_readdata                                  (mm_interconnect_1_mem_s2_readdata),        //   input,  width = 512,                                           .readdata
		.mem_s2_writedata                                 (mm_interconnect_1_mem_s2_writedata),       //  output,  width = 512,                                           .writedata
		.mem_s2_byteenable                                (mm_interconnect_1_mem_s2_byteenable),      //  output,   width = 64,                                           .byteenable
		.mem_s2_chipselect                                (mm_interconnect_1_mem_s2_chipselect),      //  output,    width = 1,                                           .chipselect
		.mem_s2_clken                                     (mm_interconnect_1_mem_s2_clken),           //  output,    width = 1,                                           .clken
		.mm_bridge_bar4_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),         //   input,    width = 1, mm_bridge_bar4_reset_reset_bridge_in_reset.reset
		.pio_led_reset_reset_bridge_in_reset_reset        (~dut_p0_app_reset_status_n_reset),         //   input,    width = 1,        pio_led_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                               (dut_p0_app_clk_clk)                        //   input,    width = 1,                             dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_53qt2xq mm_interconnect_2 (
		.dut_p0_bam_master_address                                      (dut_p0_bam_master_address),                                      //   input,   width = 64,                                        dut_p0_bam_master.address
		.dut_p0_bam_master_waitrequest                                  (dut_p0_bam_master_waitrequest),                                  //  output,    width = 1,                                                         .waitrequest
		.dut_p0_bam_master_burstcount                                   (dut_p0_bam_master_burstcount),                                   //   input,    width = 4,                                                         .burstcount
		.dut_p0_bam_master_byteenable                                   (dut_p0_bam_master_byteenable),                                   //   input,   width = 64,                                                         .byteenable
		.dut_p0_bam_master_read                                         (dut_p0_bam_master_read),                                         //   input,    width = 1,                                                         .read
		.dut_p0_bam_master_readdata                                     (dut_p0_bam_master_readdata),                                     //  output,  width = 512,                                                         .readdata
		.dut_p0_bam_master_readdatavalid                                (dut_p0_bam_master_readdatavalid),                                //  output,    width = 1,                                                         .readdatavalid
		.dut_p0_bam_master_write                                        (dut_p0_bam_master_write),                                        //   input,    width = 1,                                                         .write
		.dut_p0_bam_master_writedata                                    (dut_p0_bam_master_writedata),                                    //   input,  width = 512,                                                         .writedata
		.dut_p0_bam_master_response                                     (dut_p0_bam_master_response),                                     //  output,    width = 2,                                                         .response
		.BAR_INTERPRETER_bri_slave_address                              (mm_interconnect_2_bar_interpreter_bri_slave_address),            //  output,   width = 24,                                BAR_INTERPRETER_bri_slave.address
		.BAR_INTERPRETER_bri_slave_write                                (mm_interconnect_2_bar_interpreter_bri_slave_write),              //  output,    width = 1,                                                         .write
		.BAR_INTERPRETER_bri_slave_read                                 (mm_interconnect_2_bar_interpreter_bri_slave_read),               //  output,    width = 1,                                                         .read
		.BAR_INTERPRETER_bri_slave_readdata                             (mm_interconnect_2_bar_interpreter_bri_slave_readdata),           //   input,  width = 512,                                                         .readdata
		.BAR_INTERPRETER_bri_slave_writedata                            (mm_interconnect_2_bar_interpreter_bri_slave_writedata),          //  output,  width = 512,                                                         .writedata
		.BAR_INTERPRETER_bri_slave_burstcount                           (mm_interconnect_2_bar_interpreter_bri_slave_burstcount),         //  output,    width = 4,                                                         .burstcount
		.BAR_INTERPRETER_bri_slave_byteenable                           (mm_interconnect_2_bar_interpreter_bri_slave_byteenable),         //  output,   width = 64,                                                         .byteenable
		.BAR_INTERPRETER_bri_slave_readdatavalid                        (mm_interconnect_2_bar_interpreter_bri_slave_readdatavalid),      //   input,    width = 1,                                                         .readdatavalid
		.BAR_INTERPRETER_bri_slave_waitrequest                          (mm_interconnect_2_bar_interpreter_bri_slave_waitrequest),        //   input,    width = 1,                                                         .waitrequest
		.BAR_INTERPRETER_bri_slave_response                             (mm_interconnect_2_bar_interpreter_bri_slave_response),           //   input,    width = 2,                                                         .response
		.BAR_INTERPRETER_bri_slave_writeresponsevalid                   (mm_interconnect_2_bar_interpreter_bri_slave_writeresponsevalid), //   input,    width = 1,                                                         .writeresponsevalid
		.BAR_INTERPRETER_reset_reset_bridge_in_reset_reset              (~dut_p0_app_reset_status_n_reset),                               //   input,    width = 1,              BAR_INTERPRETER_reset_reset_bridge_in_reset.reset
		.dut_p0_bam_master_translator_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                               //   input,    width = 1, dut_p0_bam_master_translator_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                             (dut_p0_app_clk_clk)                                              //   input,    width = 1,                                           dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_oxmjjzy mm_interconnect_3 (
		.dut_p0_rddm_master_address                                                       (dut_p0_rddm_master_address),                                  //   input,   width = 64,                                                         dut_p0_rddm_master.address
		.dut_p0_rddm_master_waitrequest                                                   (dut_p0_rddm_master_waitrequest),                              //  output,    width = 1,                                                                           .waitrequest
		.dut_p0_rddm_master_burstcount                                                    (dut_p0_rddm_master_burstcount),                               //   input,    width = 4,                                                                           .burstcount
		.dut_p0_rddm_master_byteenable                                                    (dut_p0_rddm_master_byteenable),                               //   input,   width = 64,                                                                           .byteenable
		.dut_p0_rddm_master_write                                                         (dut_p0_rddm_master_write),                                    //   input,    width = 1,                                                                           .write
		.dut_p0_rddm_master_writedata                                                     (dut_p0_rddm_master_writedata),                                //   input,  width = 512,                                                                           .writedata
		.mm_bridge_dma_controller_s0_address                                              (mm_interconnect_3_mm_bridge_dma_controller_s0_address),       //  output,   width = 12,                                                mm_bridge_dma_controller_s0.address
		.mm_bridge_dma_controller_s0_write                                                (mm_interconnect_3_mm_bridge_dma_controller_s0_write),         //  output,    width = 1,                                                                           .write
		.mm_bridge_dma_controller_s0_read                                                 (mm_interconnect_3_mm_bridge_dma_controller_s0_read),          //  output,    width = 1,                                                                           .read
		.mm_bridge_dma_controller_s0_readdata                                             (mm_interconnect_3_mm_bridge_dma_controller_s0_readdata),      //   input,  width = 512,                                                                           .readdata
		.mm_bridge_dma_controller_s0_writedata                                            (mm_interconnect_3_mm_bridge_dma_controller_s0_writedata),     //  output,  width = 512,                                                                           .writedata
		.mm_bridge_dma_controller_s0_burstcount                                           (mm_interconnect_3_mm_bridge_dma_controller_s0_burstcount),    //  output,    width = 4,                                                                           .burstcount
		.mm_bridge_dma_controller_s0_byteenable                                           (mm_interconnect_3_mm_bridge_dma_controller_s0_byteenable),    //  output,   width = 64,                                                                           .byteenable
		.mm_bridge_dma_controller_s0_readdatavalid                                        (mm_interconnect_3_mm_bridge_dma_controller_s0_readdatavalid), //   input,    width = 1,                                                                           .readdatavalid
		.mm_bridge_dma_controller_s0_waitrequest                                          (mm_interconnect_3_mm_bridge_dma_controller_s0_waitrequest),   //   input,    width = 1,                                                                           .waitrequest
		.mm_bridge_dma_controller_s0_debugaccess                                          (mm_interconnect_3_mm_bridge_dma_controller_s0_debugaccess),   //  output,    width = 1,                                                                           .debugaccess
		.mm_bridge_onchip_mem_s0_address                                                  (mm_interconnect_3_mm_bridge_onchip_mem_s0_address),           //  output,   width = 19,                                                    mm_bridge_onchip_mem_s0.address
		.mm_bridge_onchip_mem_s0_write                                                    (mm_interconnect_3_mm_bridge_onchip_mem_s0_write),             //  output,    width = 1,                                                                           .write
		.mm_bridge_onchip_mem_s0_read                                                     (mm_interconnect_3_mm_bridge_onchip_mem_s0_read),              //  output,    width = 1,                                                                           .read
		.mm_bridge_onchip_mem_s0_readdata                                                 (mm_interconnect_3_mm_bridge_onchip_mem_s0_readdata),          //   input,  width = 512,                                                                           .readdata
		.mm_bridge_onchip_mem_s0_writedata                                                (mm_interconnect_3_mm_bridge_onchip_mem_s0_writedata),         //  output,  width = 512,                                                                           .writedata
		.mm_bridge_onchip_mem_s0_burstcount                                               (mm_interconnect_3_mm_bridge_onchip_mem_s0_burstcount),        //  output,    width = 4,                                                                           .burstcount
		.mm_bridge_onchip_mem_s0_byteenable                                               (mm_interconnect_3_mm_bridge_onchip_mem_s0_byteenable),        //  output,   width = 64,                                                                           .byteenable
		.mm_bridge_onchip_mem_s0_readdatavalid                                            (mm_interconnect_3_mm_bridge_onchip_mem_s0_readdatavalid),     //   input,    width = 1,                                                                           .readdatavalid
		.mm_bridge_onchip_mem_s0_waitrequest                                              (mm_interconnect_3_mm_bridge_onchip_mem_s0_waitrequest),       //   input,    width = 1,                                                                           .waitrequest
		.mm_bridge_onchip_mem_s0_debugaccess                                              (mm_interconnect_3_mm_bridge_onchip_mem_s0_debugaccess),       //  output,    width = 1,                                                                           .debugaccess
		.mm_bridge_dma_controller_reset_reset_bridge_in_reset_reset                       (~dut_p0_app_reset_status_n_reset),                            //   input,    width = 1,                       mm_bridge_dma_controller_reset_reset_bridge_in_reset.reset
		.mm_bridge_dma_controller_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                            //   input,    width = 1, mm_bridge_dma_controller_s0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                                               (dut_p0_app_clk_clk)                                           //   input,    width = 1,                                                             dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_srpi62i mm_interconnect_4 (
		.dut_p0_wrdm_master_address                                      (dut_p0_wrdm_master_address),          //   input,   width = 64,                                        dut_p0_wrdm_master.address
		.dut_p0_wrdm_master_waitrequest                                  (dut_p0_wrdm_master_waitrequest),      //  output,    width = 1,                                                          .waitrequest
		.dut_p0_wrdm_master_burstcount                                   (dut_p0_wrdm_master_burstcount),       //   input,    width = 4,                                                          .burstcount
		.dut_p0_wrdm_master_byteenable                                   (dut_p0_wrdm_master_byteenable),       //   input,   width = 64,                                                          .byteenable
		.dut_p0_wrdm_master_read                                         (dut_p0_wrdm_master_read),             //   input,    width = 1,                                                          .read
		.dut_p0_wrdm_master_readdata                                     (dut_p0_wrdm_master_readdata),         //  output,  width = 512,                                                          .readdata
		.dut_p0_wrdm_master_readdatavalid                                (dut_p0_wrdm_master_readdatavalid),    //  output,    width = 1,                                                          .readdatavalid
		.dut_p0_wrdm_master_response                                     (dut_p0_wrdm_master_response),         //  output,    width = 2,                                                          .response
		.mem_s1_address                                                  (mm_interconnect_4_mem_s1_address),    //  output,   width = 13,                                                    mem_s1.address
		.mem_s1_write                                                    (mm_interconnect_4_mem_s1_write),      //  output,    width = 1,                                                          .write
		.mem_s1_readdata                                                 (mm_interconnect_4_mem_s1_readdata),   //   input,  width = 512,                                                          .readdata
		.mem_s1_writedata                                                (mm_interconnect_4_mem_s1_writedata),  //  output,  width = 512,                                                          .writedata
		.mem_s1_byteenable                                               (mm_interconnect_4_mem_s1_byteenable), //  output,   width = 64,                                                          .byteenable
		.mem_s1_chipselect                                               (mm_interconnect_4_mem_s1_chipselect), //  output,    width = 1,                                                          .chipselect
		.mem_s1_clken                                                    (mm_interconnect_4_mem_s1_clken),      //  output,    width = 1,                                                          .clken
		.mem_reset1_reset_bridge_in_reset_reset                          (~dut_p0_app_reset_status_n_reset),    //   input,    width = 1,                          mem_reset1_reset_bridge_in_reset.reset
		.dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),    //   input,    width = 1, dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                              (dut_p0_app_clk_clk)                   //   input,    width = 1,                                            dut_p0_app_clk.clk
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~dut_p0_app_reset_status_n_reset),   //   input,  width = 1, reset_in0.reset
		.clk            (dut_p0_app_clk_clk),                 //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	assign dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy=1'b1;

endmodule
