// (C) 2001-2021 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
1xbKxSA18VWF9qphjqJDO3c3d4ofc4uliK7SOxsW6lFZn3BUDYJdKfc78qIllD3O
GIg+C9FsUD5Eqc75lCMF+xFNaakfIV+9UWJ0Esas2+NI5w2cBCOBHQmCtl7r38Y1
jMT1TE+lJe1Z2qeDOwaw0LphunqxmEz4zmmnMjP6B6U=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 7040 )
`pragma protect data_block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`pragma protect end_protected
