// (C) 2001-2021 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
Qw/aWH7MO1YGGIotITcCRWVBkN/ZQyvUXylrCWfVbdSDGlhNQJ8jPfw8GLiJNb9y
18NuP2W6B6XQ8hCHfO6RzQxaBaGFuO89AGBrzdCxH5QOnRdezwCqCJb8gOiyfEoc
to4Jo15bopevnAWXP7qwnBt6QIoS+s4Zr8NPSmMevPM=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 12208 )
`pragma protect data_block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`pragma protect end_protected
